<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;

class SettingSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        \App\Setting::insert([
            [
                'key'=>'general_site_name',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'regis_enable_registration',
                'type'=>'radio',
                'options'=>'1=Yes,0=No',
                'class'=>'',
            ],
            [
                'key'=>'general_homepage_title',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'general_homepage_meta_desc',
                'type'=>'textarea',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'general_admin_email',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'color_navbar',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'color_primary_color',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'color_navtext',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'color_footer',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'color_footertext',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'image_logo',
                'type'=>'hidden',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'regis_registration_instructions',
                'type'=>'textarea',
                'options'=>'',
                'class'=>'rte',
            ],
            [
                'key'=>'footer_about',
                'type'=>'textarea',
                'options'=>'',
                'class'=>'rte',
            ],
            [
                'key'=>'footer_address',
                'type'=>'textarea',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'footer_email',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'footer_tel',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'image_icon',
                'type'=>'hidden',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'country_id',
                'type'=>'select',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'general_auto_enroll',
                'type'=>'radio',
                'options'=>'1=Yes,0=No',
                'class'=>'',
            ],
            [
                'key'=>'general_ssl',
                'type'=>'radio',
                'options'=>'1=Yes,0=No',
                'class'=>'',
            ],
            [
                'key'=>'footer_newsletter_code',
                'type'=>'textarea',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'footer_credits',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'general_header_scripts',
                'type'=>'textarea',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'general_foot_scripts',
                'type'=>'textarea',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'menu_show_courses',
                'type'=>'radio',
                'options'=>'1=Yes,0=No',
                'class'=>'',
            ],
            [
                'key'=>'menu_show_sessions',
                'type'=>'radio',
                'options'=>'1=Yes,0=No',
                'class'=>'',
            ],
            [
                'key'=>'menu_show_blog',
                'type'=>'radio',
                'options'=>'1=Yes,0=No',
                'class'=>'',
            ],
            [
                'key'=>'menu_show_contact',
                'type'=>'radio',
                'options'=>'1=Yes,0=No',
                'class'=>'',
            ],
            [
                'key'=>'menu_show_articles',
                'type'=>'radio',
                'options'=>'1=Yes,0=No',
                'class'=>'',
            ],
            [
                'key'=>'footer_show_sicons',
                'type'=>'radio',
                'options'=>'1=Yes,0=No',
                'class'=>'',
            ],
            [
                'key'=>'footer_show_newsletter',
                'type'=>'radio',
                'options'=>'1=Yes,0=No',
                'class'=>'',
            ],
            [
                'key'=>'footer_show_about',
                'type'=>'radio',
                'options'=>'1=Yes,0=No',
                'class'=>'',
            ],
            [
                'key'=>'footer_show_contact',
                'type'=>'radio',
                'options'=>'1=Yes,0=No',
                'class'=>'',
            ],
            [
                'key'=>'regis_email_message',
                'type'=>'textarea',
                'options'=>'',
                'class'=>'rte',
            ],
            [
                'key'=>'color_page_title',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'color_page_title_text',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'regis_enrollment_alert',
                'type'=>'radio',
                'options'=>'1=Yes,0=No',
                'class'=>'',
            ],
            [
                'key'=>'regis_signup_alert',
                'type'=>'radio',
                'options'=>'1=Yes,0=No',
                'class'=>'',
            ],
            [
                'key'=>'general_disqus',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'label_enroll',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'label_discussion',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'label_classes_attended',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'label_revision_notes',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'label_take_test',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'label_classes',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'label_sessions',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'label_blog',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'label_contact_us',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'label_about_us',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'label_follow_us',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'general_discussion_instructions',
                'type'=>'textarea',
                'options'=>'',
                'class'=>'rte',
            ],
            [
                'key'=>'mail_protocol',
                'type'=>'select',
                'options'=>'mail=Mail,smtp=SMTP',
                'class'=>'',
            ],
            [
                'key'=>'mail_smtp_host',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'mail_smtp_username',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'mail_smtp_password',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'mail_smtp_port',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'mail_smtp_timeout',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'mail_smtp_encryption',
                'type'=>'select',
                'options'=>'tls=TLS,ssl=SSL',
                'class'=>'',
            ],
            [
                'key'=>'general_show_fee',
                'type'=>'radio',
                'options'=>'1=Yes,0=No',
                'class'=>'',
            ],
            [
                'key'=>'menu_show_discussions',
                'type'=>'radio',
                'options'=>'1=Yes,0=No',
                'class'=>'',
            ],
            [
                'key'=>'menu_show_tests',
                'type'=>'radio',
                'options'=>'1=Yes,0=No',
                'class'=>'',
            ],
            [
                'key'=>'menu_show_notes',
                'type'=>'radio',
                'options'=>'1=Yes,0=No',
                'class'=>'',
            ],
            [
                'key'=>'menu_show_attended',
                'type'=>'radio',
                'options'=>'1=Yes,0=No',
                'class'=>'',
            ],
            [
                'key'=>'general_site_ip',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'general_send_reminder',
                'type'=>'radio',
                'options'=>'1=Yes,0=No',
                'class'=>'',
            ],
            [
                'key'=>'general_reminder_days',
                'type'=>'text',
                'options'=>'',
                'class'=>'number',
            ],
            [
                'key'=>'general_timezone',
                'type'=>'select',
                'options'=>'Australia/Adelaide,Australia/Broken_Hill,Australia/Darwin,Australia/North,Australia/South,Australia/Yancowinna,America/Porto_Acre,Australia/Adelaide,America/Eirunepe,America/Rio_Branco,Brazil/Acre,Asia/Jayapura,Australia/Broken_Hill,Australia/Darwin,Australia/North,Australia/South,Australia/Yancowinna,America/Porto_Acre,America/Eirunepe,America/Rio_Branco,Brazil/Acre,Australia/Eucla,Australia/Eucla,America/Goose_Bay,America/Pangnirtung,America/Halifax,America/Barbados,America/Blanc-Sablon,America/Glace_Bay,America/Goose_Bay,America/Martinique,America/Moncton,America/Pangnirtung,America/Thule,Atlantic/Bermuda,Canada/Atlantic,Asia/Baghdad,Australia/Melbourne,Antarctica/Macquarie,Australia/ACT,Australia/Brisbane,Australia/Canberra,Australia/Currie,Australia/Hobart,Australia/Lindeman,Australia/NSW,Australia/Queensland,Australia/Sydney,Australia/Tasmania,Australia/Victoria,Australia/Melbourne,Antarctica/Macquarie,Australia/ACT,Australia/Brisbane,Australia/Canberra,Australia/Currie,Australia/Hobart,Australia/LHI,Australia/Lindeman,Australia/Lord_Howe,Australia/NSW,Australia/Queensland,Australia/Sydney,Australia/Tasmania,Australia/Victoria,Asia/Kabul,Asia/Kabul,America/Anchorage,America/Anchorage,America/Adak,America/Atka,America/Anchorage,America/Juneau,America/Nome,America/Sitka,America/Yakutat,America/Anchorage,America/Juneau,America/Nome,America/Sitka,America/Yakutat,Asia/Aqtobe,Asia/Aqtobe,Asia/Aqtobe,Asia/Aqtobe,Asia/Almaty,Asia/Almaty,Asia/Almaty,Asia/Yerevan,Asia/Yerevan,America/Boa_Vista,America/Campo_Grande,America/Cuiaba,America/Manaus,America/Porto_Velho,America/Santarem,Brazil/West,Asia/Yerevan,Asia/Yerevan,America/Asuncion,America/Boa_Vista,America/Campo_Grande,America/Cuiaba,America/Eirunepe,America/Manaus,America/Porto_Acre,America/Porto_Velho,America/Rio_Branco,America/Santarem,Brazil/Acre,Brazil/West,Europe/Amsterdam,Europe/Athens,Asia/Anadyr,Asia/Anadyr,Asia/Anadyr,Asia/Anadyr,Asia/Anadyr,Asia/Anadyr,America/Curacao,America/Aruba,America/Kralendijk,America/Lower_Princes,America/Halifax,America/Blanc-Sablon,America/Glace_Bay,America/Moncton,America/Pangnirtung,America/Puerto_Rico,Canada/Atlantic,Asia/Aqtau,Asia/Aqtau,Asia/Aqtobe,Asia/Aqtau,Asia/Aqtau,Asia/Aqtobe,America/Buenos_Aires,America/Buenos_Aires,America/Argentina/Buenos_Aires,America/Argentina/Catamarca,America/Argentina/ComodRivadavia,America/Argentina/Cordoba,America/Argentina/Jujuy,America/Argentina/La_Rioja,America/Argentina/Mendoza,America/Argentina/Rio_Gallegos,America/Argentina/Salta,America/Argentina/San_Juan,America/Argentina/San_Luis,America/Argentina/Tucuman,America/Argentina/Ushuaia,America/Catamarca,America/Cordoba,America/Jujuy,America/Mendoza,America/Rosario,Antarctica/Palmer,America/Argentina/Buenos_Aires,America/Argentina/Catamarca,America/Argentina/ComodRivadavia,America/Argentina/Cordoba,America/Argentina/Jujuy,America/Argentina/La_Rioja,America/Argentina/Mendoza,America/Argentina/Rio_Gallegos,America/Argentina/Salta,America/Argentina/San_Juan,America/Argentina/San_Luis,America/Argentina/Tucuman,America/Argentina/Ushuaia,America/Catamarca,America/Cordoba,America/Jujuy,America/Mendoza,America/Rosario,Antarctica/Palmer,America/Buenos_Aires,America/Buenos_Aires,America/Argentina/Buenos_Aires,America/Argentina/Catamarca,America/Argentina/ComodRivadavia,America/Argentina/Cordoba,America/Argentina/Jujuy,America/Argentina/La_Rioja,America/Argentina/Mendoza,America/Argentina/Rio_Gallegos,America/Argentina/Salta,America/Argentina/San_Juan,America/Argentina/San_Luis,America/Argentina/Tucuman,America/Argentina/Ushuaia,America/Catamarca,America/Cordoba,America/Jujuy,America/Mendoza,America/Rosario,Antarctica/Palmer,America/Argentina/Buenos_Aires,America/Argentina/Catamarca,America/Argentina/ComodRivadavia,America/Argentina/Cordoba,America/Argentina/Jujuy,America/Argentina/La_Rioja,America/Argentina/Mendoza,America/Argentina/Rio_Gallegos,America/Argentina/Salta,America/Argentina/San_Juan,America/Argentina/San_Luis,America/Argentina/Tucuman,America/Argentina/Ushuaia,America/Catamarca,America/Cordoba,America/Jujuy,America/Mendoza,America/Rosario,Antarctica/Palmer,Asia/Ashkhabad,Asia/Ashkhabad,Asia/Ashgabat,Asia/Ashgabat,Asia/Ashkhabad,Asia/Ashkhabad,Asia/Ashgabat,Asia/Ashgabat,Asia/Riyadh,America/Anguilla,America/Antigua,America/Aruba,America/Barbados,America/Blanc-Sablon,America/Curacao,America/Dominica,America/Glace_Bay,America/Goose_Bay,America/Grand_Turk,America/Grenada,America/Guadeloupe,America/Halifax,America/Kralendijk,America/Lower_Princes,America/Marigot,America/Martinique,America/Miquelon,America/Moncton,America/Montserrat,America/Pangnirtung,America/Port_of_Spain,America/Puerto_Rico,America/Santo_Domingo,America/St_Barthelemy,America/St_Kitts,America/St_Lucia,America/St_Thomas,America/St_Vincent,America/Thule,America/Tortola,America/Virgin,Atlantic/Bermuda,Canada/Atlantic,Asia/Aden,Asia/Baghdad,Asia/Bahrain,Asia/Kuwait,Asia/Qatar,Australia/Perth,Australia/West,Australia/Perth,Antarctica/Casey,Australia/West,America/Halifax,America/Blanc-Sablon,America/Glace_Bay,America/Moncton,America/Pangnirtung,America/Puerto_Rico,Canada/Atlantic,Atlantic/Azores,Atlantic/Azores,Atlantic/Azores,Atlantic/Azores,Atlantic/Azores,Asia/Baku,Asia/Baku,Asia/Baku,Asia/Baku,Asia/Baku,Asia/Baku,Asia/Baku,Asia/Baku,Europe/London,Asia/Dacca,Asia/Dhaka,Europe/Belfast,Europe/Gibraltar,Europe/Guernsey,Europe/Isle_of_Man,Europe/Jersey,GB,America/Adak,Asia/Dacca,America/Atka,America/Nome,Asia/Dhaka,Africa/Mogadishu,Africa/Addis_Ababa,Africa/Asmara,Africa/Asmera,Africa/Dar_es_Salaam,Africa/Djibouti,Africa/Kampala,Africa/Nairobi,Indian/Antananarivo,Indian/Comoro,Indian/Mayotte,Africa/Nairobi,Africa/Addis_Ababa,Africa/Asmara,Africa/Asmera,Africa/Dar_es_Salaam,Africa/Djibouti,Africa/Kampala,Africa/Mogadishu,Indian/Antananarivo,Indian/Comoro,Indian/Mayotte,America/Barbados,Europe/Tiraspol,America/Bogota,Asia/Baghdad,Asia/Bangkok,Asia/Phnom_Penh,Asia/Vientiane,Asia/Jakarta,Europe/Bucharest,Europe/Chisinau,Asia/Brunei,Asia/Brunei,Asia/Kuching,Asia/Kuching,Asia/Kuching,America/La_Paz,America/La_Paz,America/Sao_Paulo,America/Araguaina,America/Bahia,America/Belem,America/Fortaleza,America/Maceio,America/Recife,Brazil/East,America/Sao_Paulo,America/Araguaina,America/Bahia,America/Belem,America/Fortaleza,America/Maceio,America/Recife,America/Santarem,Brazil/East,Europe/London,Europe/London,America/Adak,America/Atka,America/Nome,Pacific/Midway,Pacific/Pago_Pago,Pacific/Samoa,Europe/Belfast,Europe/Guernsey,Europe/Isle_of_Man,Europe/Jersey,GB,Europe/Belfast,Europe/Dublin,Europe/Gibraltar,Europe/Guernsey,Europe/Isle_of_Man,Europe/Jersey,GB,Pacific/Bougainville,Asia/Thimbu,Asia/Thimphu,Asia/Kolkata,Asia/Calcutta,Asia/Dacca,Asia/Dhaka,Asia/Rangoon,Atlantic/Canary,America/Anchorage,Australia/Adelaide,Africa/Juba,Africa/Khartoum,Antarctica/Casey,America/Anchorage,Africa/Khartoum,Africa/Blantyre,Africa/Bujumbura,Africa/Gaborone,Africa/Harare,Africa/Juba,Africa/Kigali,Africa/Lubumbashi,Africa/Lusaka,Africa/Maputo,Africa/Windhoek,America/Anchorage,Indian/Cocos,America/Rankin_Inlet,America/Resolute,America/Chicago,Asia/Shanghai,America/Havana,America/Atikokan,America/Bahia_Banderas,America/Belize,America/Cambridge_Bay,America/Cancun,America/Chihuahua,America/Coral_Harbour,America/Costa_Rica,America/El_Salvador,America/Fort_Wayne,America/Guatemala,America/Indiana/Indianapolis,America/Indiana/Knox,America/Indiana/Marengo,America/Indiana/Petersburg,America/Indiana/Tell_City,America/Indiana/Vevay,America/Indiana/Vincennes,America/Indiana/Winamac,America/Indianapolis,America/Iqaluit,America/Kentucky/Louisville,America/Kentucky/Monticello,America/Knox_IN,America/Louisville,America/Managua,America/Matamoros,America/Menominee,America/Merida,America/Mexico_City,America/Monterrey,America/North_Dakota/Beulah,America/North_Dakota/Center,America/North_Dakota/New_Salem,America/Ojinaga,America/Pangnirtung,America/Rainy_River,America/Rankin_Inlet,America/Resolute,America/Tegucigalpa,America/Winnipeg,Canada/Central,Mexico/General,Asia/Chongqing,Asia/Chungking,Asia/Harbin,Asia/Taipei,PRC,ROC,Europe/Berlin,Europe/Berlin,Europe/Kaliningrad,Africa/Algiers,Africa/Ceuta,Africa/Tripoli,Africa/Tunis,Antarctica/Troll,Arctic/Longyearbyen,Atlantic/Jan_Mayen,Europe/Amsterdam,Europe/Andorra,Europe/Athens,Europe/Belgrade,Europe/Bratislava,Europe/Brussels,Europe/Budapest,Europe/Busingen,Europe/Chisinau,Europe/Copenhagen,Europe/Gibraltar,Europe/Kaliningrad,Europe/Kiev,Europe/Lisbon,Europe/Ljubljana,Europe/Luxembourg,Europe/Madrid,Europe/Malta,Europe/Minsk,Europe/Monaco,Europe/Oslo,Europe/Paris,Europe/Podgorica,Europe/Prague,Europe/Riga,Europe/Rome,Europe/San_Marino,Europe/Sarajevo,Europe/Simferopol,Europe/Skopje,Europe/Sofia,Europe/Stockholm,Europe/Tallinn,Europe/Tirane,Europe/Tiraspol,Europe/Uzhgorod,Europe/Vaduz,Europe/Vatican,Europe/Vienna,Europe/Vilnius,Europe/Warsaw,Europe/Zagreb,Europe/Zaporozhye,Europe/Zurich,Europe/Berlin,Europe/Kaliningrad,Africa/Algiers,Africa/Casablanca,Africa/Ceuta,Africa/Tripoli,Africa/Tunis,Arctic/Longyearbyen,Atlantic/Jan_Mayen,Europe/Amsterdam,Europe/Andorra,Europe/Athens,Europe/Belgrade,Europe/Bratislava,Europe/Brussels,Europe/Budapest,Europe/Busingen,Europe/Chisinau,Europe/Copenhagen,Europe/Gibraltar,Europe/Kaliningrad,Europe/Kiev,Europe/Lisbon,Europe/Ljubljana,Europe/Luxembourg,Europe/Madrid,Europe/Malta,Europe/Minsk,Europe/Monaco,Europe/Oslo,Europe/Paris,Europe/Podgorica,Europe/Prague,Europe/Riga,Europe/Rome,Europe/San_Marino,Europe/Sarajevo,Europe/Simferopol,Europe/Skopje,Europe/Sofia,Europe/Stockholm,Europe/Tallinn,Europe/Tirane,Europe/Tiraspol,Europe/Uzhgorod,Europe/Vaduz,Europe/Vatican,Europe/Vienna,Europe/Vilnius,Europe/Warsaw,Europe/Zagreb,Europe/Zaporozhye,Europe/Zurich,America/Scoresbysund,America/Scoresbysund,Pacific/Chatham,Pacific/Chatham,Pacific/Chatham,America/Belize,Asia/Choibalsan,Asia/Choibalsan,Asia/Choibalsan,Asia/Choibalsan,Pacific/Chuuk,Pacific/Truk,Pacific/Yap,Pacific/Rarotonga,Pacific/Rarotonga,Pacific/Rarotonga,America/Santiago,America/Santiago,Antarctica/Palmer,Chile/Continental,Chile/Continental,America/Santiago,America/Santiago,America/Santiago,Antarctica/Palmer,Chile/Continental,Antarctica/Palmer,Chile/Continental,Chile/Continental,America/Argentina/Buenos_Aires,America/Argentina/Catamarca,America/Argentina/ComodRivadavia,America/Argentina/Cordoba,America/Argentina/Jujuy,America/Argentina/La_Rioja,America/Argentina/Mendoza,America/Argentina/Rio_Gallegos,America/Argentina/Salta,America/Argentina/San_Juan,America/Argentina/San_Luis,America/Argentina/Tucuman,America/Argentina/Ushuaia,America/Buenos_Aires,America/Catamarca,America/Cordoba,America/Jujuy,America/Mendoza,America/Rosario,America/Caracas,America/La_Paz,America/Cayman,America/Panama,Europe/Chisinau,Europe/Tiraspol,America/Bogota,America/Bogota,America/Chicago,America/Atikokan,America/Coral_Harbour,America/Fort_Wayne,America/Indiana/Indianapolis,America/Indiana/Knox,America/Indiana/Marengo,America/Indiana/Petersburg,America/Indiana/Tell_City,America/Indiana/Vevay,America/Indiana/Vincennes,America/Indiana/Winamac,America/Indianapolis,America/Kentucky/Louisville,America/Kentucky/Monticello,America/Knox_IN,America/Louisville,America/Menominee,America/Rainy_River,America/Winnipeg,Canada/Central,America/Chicago,America/Havana,America/Atikokan,America/Bahia_Banderas,America/Belize,America/Cambridge_Bay,America/Cancun,America/Chihuahua,America/Coral_Harbour,America/Costa_Rica,America/Detroit,America/El_Salvador,America/Fort_Wayne,America/Guatemala,America/Hermosillo,America/Indiana/Indianapolis,America/Indiana/Knox,America/Indiana/Marengo,America/Indiana/Petersburg,America/Indiana/Tell_City,America/Indiana/Vevay,America/Indiana/Vincennes,America/Indiana/Winamac,America/Indianapolis,America/Iqaluit,America/Kentucky/Louisville,America/Kentucky/Monticello,America/Knox_IN,America/Louisville,America/Managua,America/Matamoros,America/Mazatlan,America/Menominee,America/Merida,America/Mexico_City,America/Monterrey,America/North_Dakota/Beulah,America/North_Dakota/Center,America/North_Dakota/New_Salem,America/Ojinaga,America/Pangnirtung,America/Rainy_River,America/Rankin_Inlet,America/Regina,America/Resolute,America/Swift_Current,America/Tegucigalpa,America/Thunder_Bay,America/Winnipeg,Canada/Central,Canada/East-Saskatchewan,Canada/Saskatchewan,Mexico/BajaSur,Mexico/General,Asia/Chongqing,Asia/Chungking,Asia/Harbin,Asia/Macao,Asia/Macau,Asia/Shanghai,Asia/Taipei,PRC,ROC,Europe/Zaporozhye,Atlantic/Cape_Verde,Atlantic/Cape_Verde,Atlantic/Cape_Verde,America/Chicago,America/Atikokan,America/Coral_Harbour,America/Fort_Wayne,America/Indiana/Indianapolis,America/Indiana/Knox,America/Indiana/Marengo,America/Indiana/Petersburg,America/Indiana/Tell_City,America/Indiana/Vevay,America/Indiana/Vincennes,America/Indiana/Winamac,America/Indianapolis,America/Kentucky/Louisville,America/Kentucky/Monticello,America/Knox_IN,America/Louisville,America/Menominee,America/Mexico_City,America/Rainy_River,America/Winnipeg,Canada/Central,Mexico/General,Indian/Christmas,Pacific/Guam,Pacific/Saipan,Asia/Dacca,Asia/Dhaka,Antarctica/Davis,Antarctica/Davis,Antarctica/DumontDUrville,Europe/Dublin,Asia/Dushanbe,Asia/Dushanbe,Asia/Dushanbe,Asia/Dushanbe,Chile/EasterIsland,Chile/EasterIsland,Pacific/Easter,Pacific/Easter,Chile/EasterIsland,Chile/EasterIsland,Chile/EasterIsland,Pacific/Easter,Pacific/Easter,Pacific/Easter,Africa/Khartoum,Africa/Addis_Ababa,Africa/Asmara,Africa/Asmera,Africa/Dar_es_Salaam,Africa/Djibouti,Africa/Juba,Africa/Kampala,Africa/Mogadishu,Africa/Nairobi,Indian/Antananarivo,Indian/Comoro,Indian/Mayotte,America/Guayaquil,Pacific/Galapagos,America/Iqaluit,America/New_York,America/Cancun,America/Detroit,America/Fort_Wayne,America/Grand_Turk,America/Indiana/Indianapolis,America/Indiana/Marengo,America/Indiana/Petersburg,America/Indiana/Tell_City,America/Indiana/Vevay,America/Indiana/Vincennes,America/Indiana/Winamac,America/Indianapolis,America/Iqaluit,America/Jamaica,America/Kentucky/Louisville,America/Kentucky/Monticello,America/Louisville,America/Montreal,America/Nassau,America/Nipigon,America/Pangnirtung,America/Port-au-Prince,America/Santo_Domingo,America/Thunder_Bay,America/Toronto,Canada/Eastern,Europe/Helsinki,Africa/Cairo,Asia/Amman,Asia/Beirut,Asia/Damascus,Asia/Gaza,Asia/Hebron,Asia/Istanbul,Asia/Nicosia,Europe/Athens,Europe/Bucharest,Europe/Chisinau,Europe/Istanbul,Europe/Kaliningrad,Europe/Kiev,Europe/Mariehamn,Europe/Minsk,Europe/Moscow,Europe/Nicosia,Europe/Riga,Europe/Samara,Europe/Simferopol,Europe/Sofia,Europe/Tallinn,Europe/Tiraspol,Europe/Uzhgorod,Europe/Vilnius,Europe/Warsaw,Europe/Zaporozhye,Europe/Helsinki,Asia/Gaza,Asia/Hebron,Africa/Cairo,Africa/Tripoli,Asia/Amman,Asia/Beirut,Asia/Damascus,Asia/Gaza,Asia/Hebron,Asia/Istanbul,Asia/Nicosia,Europe/Athens,Europe/Bucharest,Europe/Chisinau,Europe/Istanbul,Europe/Kaliningrad,Europe/Kiev,Europe/Mariehamn,Europe/Minsk,Europe/Moscow,Europe/Nicosia,Europe/Riga,Europe/Simferopol,Europe/Sofia,Europe/Tallinn,Europe/Tiraspol,Europe/Uzhgorod,Europe/Vilnius,Europe/Warsaw,Europe/Zaporozhye,America/Scoresbysund,America/Scoresbysund,America/Santo_Domingo,Chile/EasterIsland,Pacific/Easter,America/New_York,America/Detroit,America/Iqaluit,America/Montreal,America/Nipigon,America/Thunder_Bay,America/Toronto,Canada/Eastern,America/New_York,America/Atikokan,America/Cambridge_Bay,America/Cancun,America/Cayman,America/Chicago,America/Coral_Harbour,America/Detroit,America/Fort_Wayne,America/Grand_Turk,America/Indiana/Indianapolis,America/Indiana/Knox,America/Indiana/Marengo,America/Indiana/Petersburg,America/Indiana/Tell_City,America/Indiana/Vevay,America/Indiana/Vincennes,America/Indiana/Winamac,America/Indianapolis,America/Iqaluit,America/Jamaica,America/Kentucky/Louisville,America/Kentucky/Monticello,America/Knox_IN,America/Louisville,America/Managua,America/Menominee,America/Merida,America/Moncton,America/Montreal,America/Nassau,America/Nipigon,America/Panama,America/Pangnirtung,America/Port-au-Prince,America/Rankin_Inlet,America/Resolute,America/Santo_Domingo,America/Thunder_Bay,America/Toronto,Canada/Eastern,America/New_York,America/Detroit,America/Iqaluit,America/Montreal,America/Nipigon,America/Thunder_Bay,America/Toronto,Canada/Eastern,Europe/Kaliningrad,Europe/Minsk,America/Martinique,Pacific/Fiji,Pacific/Fiji,Atlantic/Stanley,Atlantic/Stanley,Atlantic/Stanley,Atlantic/Stanley,Atlantic/Stanley,Atlantic/Madeira,America/Noronha,Brazil/DeNoronha,America/Noronha,Brazil/DeNoronha,Asia/Aqtau,Asia/Aqtau,Asia/Bishkek,Asia/Bishkek,Asia/Bishkek,Asia/Bishkek,Pacific/Galapagos,Pacific/Gambier,America/Guyana,Asia/Tbilisi,Asia/Tbilisi,Asia/Tbilisi,Asia/Tbilisi,America/Cayenne,America/Cayenne,Africa/Accra,Pacific/Tarawa,Africa/Abidjan,Africa/Accra,Africa/Bamako,Africa/Banjul,Africa/Bissau,Africa/Conakry,Africa/Dakar,Africa/Freetown,Africa/Lome,Africa/Monrovia,Africa/Nouakchott,Africa/Ouagadougou,Africa/Sao_Tome,Africa/Timbuktu,America/Danmarkshavn,Atlantic/Reykjavik,Atlantic/St_Helena,Etc/GMT,Etc/Greenwich,Europe/Belfast,Europe/Dublin,Europe/Gibraltar,Europe/Guernsey,Europe/Isle_of_Man,Europe/Jersey,Europe/London,GB,Asia/Dubai,Atlantic/South_Georgia,Asia/Bahrain,Asia/Muscat,Asia/Qatar,Pacific/Guam,Pacific/Saipan,America/Guyana,America/Guyana,America/Guyana,America/Adak,America/Atka,America/Adak,America/Atka,Pacific/Honolulu,Pacific/Johnston,Asia/Hong_Kong,Asia/Hong_Kong,America/Havana,Atlantic/Azores,Asia/Calcutta,Asia/Dacca,Asia/Dhaka,Asia/Kolkata,Europe/Helsinki,Europe/Mariehamn,Asia/Hovd,Asia/Hovd,Asia/Hovd,Pacific/Honolulu,Pacific/Honolulu,Pacific/Johnston,Pacific/Johnston,Asia/Bangkok,Asia/Ho_Chi_Minh,Asia/Phnom_Penh,Asia/Saigon,Asia/Vientiane,Asia/Jerusalem,Asia/Tel_Aviv,Asia/Jerusalem,Asia/Gaza,Asia/Hebron,Asia/Tel_Aviv,Asia/Ho_Chi_Minh,Asia/Saigon,Asia/Colombo,Asia/Irkutsk,Asia/Istanbul,Europe/Istanbul,Indian/Chagos,Indian/Chagos,Asia/Tehran,Asia/Tehran,Asia/Irkutsk,Asia/Irkutsk,Asia/Irkutsk,Asia/Irkutsk,Asia/Irkutsk,Asia/Chita,Asia/Tehran,Asia/Tehran,Atlantic/Reykjavik,Asia/Jerusalem,Atlantic/Reykjavik,Asia/Calcutta,Asia/Colombo,Asia/Dacca,Asia/Dhaka,Asia/Karachi,Asia/Kathmandu,Asia/Katmandu,Asia/Kolkata,Asia/Thimbu,Asia/Thimphu,Europe/Dublin,Asia/Calcutta,Asia/Colombo,Asia/Karachi,Asia/Kolkata,Europe/Dublin,Europe/Dublin,Asia/Gaza,Asia/Hebron,Asia/Tel_Aviv,Asia/Jakarta,Asia/Pyongyang,Asia/Sakhalin,Asia/Seoul,Asia/Tokyo,ROK,Asia/Tokyo,Asia/Jerusalem,Asia/Tel_Aviv,Asia/Tokyo,Asia/Dili,Asia/Ho_Chi_Minh,Asia/Hong_Kong,Asia/Jakarta,Asia/Kuala_Lumpur,Asia/Kuching,Asia/Makassar,Asia/Manila,Asia/Pontianak,Asia/Pyongyang,Asia/Rangoon,Asia/Saigon,Asia/Sakhalin,Asia/Seoul,Asia/Singapore,Asia/Taipei,Asia/Ujung_Pandang,Pacific/Bougainville,Pacific/Nauru,ROC,ROK,Asia/Taipei,ROC,Asia/Karachi,Asia/Seoul,Asia/Seoul,ROK,ROK,Asia/Bishkek,Asia/Bishkek,Asia/Bishkek,Asia/Qyzylorda,Asia/Qyzylorda,Asia/Qyzylorda,Asia/Qyzylorda,Europe/Vilnius,America/Grand_Turk,America/Jamaica,Europe/Kiev,Pacific/Kosrae,Pacific/Kosrae,Asia/Krasnoyarsk,Asia/Krasnoyarsk,Asia/Novokuznetsk,Asia/Novokuznetsk,Asia/Krasnoyarsk,Asia/Krasnoyarsk,Asia/Krasnoyarsk,Asia/Novokuznetsk,Asia/Novokuznetsk,Asia/Seoul,Asia/Pyongyang,Asia/Seoul,Asia/Pyongyang,ROK,ROK,Europe/Samara,Europe/Samara,Europe/Samara,Pacific/Kwajalein,Australia/LHI,Australia/Lord_Howe,Australia/LHI,Australia/Lord_Howe,Australia/Lord_Howe,Australia/LHI,Pacific/Kiritimati,Pacific/Kiritimati,Pacific/Kiritimati,Asia/Colombo,Asia/Colombo,Africa/Monrovia,Europe/Riga,Atlantic/Madeira,Atlantic/Madeira,Atlantic/Madeira,Asia/Magadan,Asia/Magadan,Asia/Srednekolymsk,Asia/Ust-Nera,Asia/Srednekolymsk,Asia/Ust-Nera,Asia/Magadan,Asia/Magadan,Asia/Magadan,Asia/Srednekolymsk,Asia/Ust-Nera,Asia/Srednekolymsk,Asia/Ust-Nera,Asia/Srednekolymsk,Asia/Ust-Nera,Asia/Singapore,Asia/Kuala_Lumpur,Asia/Singapore,Asia/Singapore,Asia/Singapore,Asia/Kuala_Lumpur,Asia/Kuala_Lumpur,Asia/Kuala_Lumpur,Pacific/Marquesas,Antarctica/Mawson,Antarctica/Mawson,America/Cambridge_Bay,America/Yellowknife,Europe/Moscow,America/Denver,America/Bahia_Banderas,America/Boise,America/Cambridge_Bay,America/Chihuahua,America/Edmonton,America/Hermosillo,America/Inuvik,America/Mazatlan,America/North_Dakota/Beulah,America/North_Dakota/Center,America/North_Dakota/New_Salem,America/Ojinaga,America/Phoenix,America/Regina,America/Shiprock,America/Swift_Current,America/Yellowknife,Canada/East-Saskatchewan,Canada/Mountain,Canada/Saskatchewan,Mexico/BajaSur,Pacific/Kwajalein,Pacific/Kwajalein,Pacific/Majuro,Pacific/Majuro,Antarctica/Macquarie,Europe/Moscow,Europe/Moscow,America/Montevideo,America/Managua,Africa/Monrovia,Indian/Maldives,Asia/Colombo,Asia/Rangoon,Asia/Makassar,Asia/Ujung_Pandang,Europe/Minsk,Asia/Macao,Asia/Macau,Asia/Macao,Asia/Macau,America/Denver,America/Boise,America/Cambridge_Bay,America/Edmonton,America/North_Dakota/Beulah,America/North_Dakota/Center,America/North_Dakota/New_Salem,America/Regina,America/Shiprock,America/Swift_Current,America/Yellowknife,Canada/East-Saskatchewan,Canada/Mountain,Canada/Saskatchewan,Europe/Moscow,Europe/Chisinau,Europe/Kaliningrad,Europe/Kiev,Europe/Minsk,Europe/Riga,Europe/Samara,Europe/Simferopol,Europe/Tallinn,Europe/Tiraspol,Europe/Uzhgorod,Europe/Vilnius,Europe/Volgograd,Europe/Zaporozhye,Europe/Moscow,Europe/Moscow,Europe/Chisinau,Europe/Kaliningrad,Europe/Kiev,Europe/Minsk,Europe/Riga,Europe/Samara,Europe/Simferopol,Europe/Tallinn,Europe/Tiraspol,Europe/Uzhgorod,Europe/Vilnius,Europe/Volgograd,Europe/Zaporozhye,Europe/Simferopol,Europe/Volgograd,Europe/Moscow,America/Denver,America/Bahia_Banderas,America/Boise,America/Cambridge_Bay,America/Chihuahua,America/Creston,America/Dawson_Creek,America/Edmonton,America/Ensenada,America/Hermosillo,America/Inuvik,America/Mazatlan,America/Mexico_City,America/North_Dakota/Beulah,America/North_Dakota/Center,America/North_Dakota/New_Salem,America/Ojinaga,America/Phoenix,America/Regina,America/Santa_Isabel,America/Shiprock,America/Swift_Current,America/Tijuana,America/Yellowknife,Canada/East-Saskatchewan,Canada/Mountain,Canada/Saskatchewan,Mexico/BajaNorte,Mexico/BajaSur,Mexico/General,Europe/Moscow,Indian/Mauritius,Indian/Mauritius,Indian/Maldives,America/Denver,America/Boise,America/Cambridge_Bay,America/Edmonton,America/North_Dakota/Beulah,America/North_Dakota/Center,America/North_Dakota/New_Salem,America/Phoenix,America/Regina,America/Shiprock,America/Swift_Current,America/Yellowknife,Canada/East-Saskatchewan,Canada/Mountain,Canada/Saskatchewan,Asia/Kuala_Lumpur,Asia/Kuching,Pacific/Noumea,Pacific/Noumea,America/St_Johns,Canada/Newfoundland,America/St_Johns,America/St_Johns,America/Goose_Bay,Canada/Newfoundland,America/Goose_Bay,Canada/Newfoundland,America/Paramaribo,Europe/Amsterdam,Europe/Amsterdam,Pacific/Norfolk,Pacific/Norfolk,Asia/Novosibirsk,Asia/Novosibirsk,Asia/Novokuznetsk,Asia/Novosibirsk,Asia/Novosibirsk,Asia/Novokuznetsk,Asia/Novokuznetsk,America/St_Johns,Asia/Katmandu,America/Adak,America/Atka,America/Nome,America/Goose_Bay,Canada/Newfoundland,Asia/Kathmandu,Pacific/Nauru,Pacific/Nauru,America/St_Johns,America/St_Johns,Europe/Amsterdam,America/Goose_Bay,Canada/Newfoundland,America/Goose_Bay,Canada/Newfoundland,America/Adak,America/Atka,America/Nome,Pacific/Midway,Pacific/Pago_Pago,Pacific/Samoa,Pacific/Niue,Pacific/Niue,Pacific/Niue,America/St_Johns,America/Adak,America/Atka,America/Nome,America/Goose_Bay,Canada/Newfoundland,Pacific/Auckland,Antarctica/McMurdo,Antarctica/South_Pole,NZ,Pacific/Auckland,Antarctica/McMurdo,Antarctica/South_Pole,NZ,Pacific/Auckland,Pacific/Auckland,Pacific/Auckland,Antarctica/McMurdo,Antarctica/South_Pole,NZ,Antarctica/McMurdo,Antarctica/South_Pole,NZ,Antarctica/McMurdo,Antarctica/South_Pole,NZ,Asia/Omsk,Asia/Omsk,Asia/Omsk,Asia/Omsk,Asia/Omsk,Asia/Oral,Asia/Oral,Asia/Oral,America/Inuvik,America/Los_Angeles,America/Boise,America/Dawson,America/Dawson_Creek,America/Ensenada,America/Juneau,America/Metlakatla,America/Santa_Isabel,America/Sitka,America/Tijuana,America/Vancouver,America/Whitehorse,Canada/Pacific,Canada/Yukon,Mexico/BajaNorte,America/Lima,Asia/Kamchatka,Asia/Kamchatka,Asia/Kamchatka,Asia/Kamchatka,America/Lima,Pacific/Bougainville,Pacific/Port_Moresby,Pacific/Enderbury,Pacific/Enderbury,Pacific/Enderbury,Asia/Manila,Asia/Manila,Asia/Karachi,Asia/Karachi,Asia/Ho_Chi_Minh,Asia/Saigon,America/Miquelon,America/Miquelon,America/Paramaribo,America/Paramaribo,Antarctica/DumontDUrville,Asia/Yekaterinburg,Asia/Pontianak,Africa/Algiers,Africa/Tunis,Europe/Monaco,Europe/Paris,Pacific/Pitcairn,Pacific/Pohnpei,Pacific/Ponape,America/Port-au-Prince,America/Los_Angeles,America/Dawson_Creek,America/Ensenada,America/Juneau,America/Metlakatla,America/Santa_Isabel,America/Sitka,America/Tijuana,America/Vancouver,Canada/Pacific,Mexico/BajaNorte,America/Los_Angeles,America/Bahia_Banderas,America/Boise,America/Creston,America/Dawson,America/Dawson_Creek,America/Ensenada,America/Hermosillo,America/Inuvik,America/Juneau,America/Mazatlan,America/Metlakatla,America/Santa_Isabel,America/Sitka,America/Tijuana,America/Vancouver,America/Whitehorse,Canada/Pacific,Canada/Yukon,Mexico/BajaNorte,Mexico/BajaSur,Pacific/Pitcairn,America/Los_Angeles,America/Dawson_Creek,America/Ensenada,America/Juneau,America/Metlakatla,America/Santa_Isabel,America/Sitka,America/Tijuana,America/Vancouver,Canada/Pacific,Mexico/BajaNorte,Pacific/Palau,America/Asuncion,America/Asuncion,America/Asuncion,America/Guayaquil,Asia/Qyzylorda,Asia/Qyzylorda,Asia/Qyzylorda,Indian/Reunion,Europe/Riga,Asia/Rangoon,Antarctica/Rothera,Asia/Sakhalin,Asia/Sakhalin,Asia/Sakhalin,Asia/Sakhalin,Asia/Samarkand,Europe/Samara,Europe/Samara,Asia/Samarkand,Asia/Samarkand,Europe/Samara,Europe/Samara,Africa/Johannesburg,Africa/Johannesburg,Africa/Johannesburg,Africa/Maseru,Africa/Mbabane,Africa/Windhoek,Africa/Maseru,Africa/Mbabane,Africa/Maseru,Africa/Mbabane,Africa/Windhoek,Pacific/Guadalcanal,Indian/Mahe,America/Santo_Domingo,Pacific/Apia,Asia/Singapore,Asia/Singapore,Asia/Aqtau,Asia/Aqtau,Asia/Aqtau,America/Costa_Rica,Atlantic/Stanley,America/Santiago,Chile/Continental,Asia/Kuala_Lumpur,Asia/Singapore,Europe/Simferopol,Asia/Srednekolymsk,America/Paramaribo,America/Paramaribo,Pacific/Samoa,Pacific/Apia,Pacific/Midway,Pacific/Pago_Pago,Europe/Volgograd,Europe/Volgograd,Asia/Yekaterinburg,Asia/Yekaterinburg,Asia/Yekaterinburg,Asia/Yekaterinburg,Africa/Windhoek,Antarctica/Syowa,Pacific/Tahiti,Asia/Samarkand,Asia/Tashkent,Asia/Tashkent,Asia/Samarkand,Asia/Tashkent,Asia/Tashkent,Asia/Tbilisi,Asia/Tbilisi,Asia/Tbilisi,Asia/Tbilisi,Asia/Tbilisi,Indian/Kerguelen,Asia/Dushanbe,Pacific/Fakaofo,Pacific/Fakaofo,Asia/Dili,Asia/Dili,Asia/Tehran,Europe/Tallinn,Asia/Ashgabat,Asia/Ashkhabad,Asia/Ashgabat,Asia/Ashkhabad,Pacific/Tongatapu,Pacific/Tongatapu,Pacific/Tongatapu,Europe/Istanbul,Asia/Istanbul,Europe/Istanbul,Asia/Istanbul,Europe/Volgograd,Pacific/Funafuti,Etc/UCT,Asia/Ulaanbaatar,Asia/Ulan_Bator,Asia/Ulaanbaatar,Asia/Ulaanbaatar,Asia/Choibalsan,Asia/Ulan_Bator,Asia/Choibalsan,Asia/Ulan_Bator,Asia/Oral,Asia/Oral,Asia/Oral,Asia/Oral,Asia/Oral,Antarctica/Troll,Etc/Universal,Etc/UTC,Etc/Zulu,UTC,UTC,America/Montevideo,America/Montevideo,America/Montevideo,America/Montevideo,America/Montevideo,Asia/Samarkand,Asia/Tashkent,Asia/Samarkand,Asia/Tashkent,America/Caracas,America/Caracas,Asia/Vladivostok,Asia/Vladivostok,Asia/Khandyga,Asia/Vladivostok,Asia/Vladivostok,Asia/Vladivostok,Asia/Khandyga,Asia/Ust-Nera,Asia/Khandyga,Asia/Ust-Nera,Europe/Volgograd,Europe/Volgograd,Europe/Volgograd,Europe/Volgograd,Antarctica/Vostok,Pacific/Efate,Pacific/Efate,Pacific/Wake,America/Mendoza,America/Argentina/Jujuy,America/Argentina/Mendoza,America/Argentina/San_Luis,America/Jujuy,America/Mendoza,America/Argentina/Catamarca,America/Argentina/ComodRivadavia,America/Argentina/Cordoba,America/Argentina/Jujuy,America/Argentina/La_Rioja,America/Argentina/Mendoza,America/Argentina/Rio_Gallegos,America/Argentina/Salta,America/Argentina/San_Juan,America/Argentina/San_Luis,America/Argentina/Tucuman,America/Argentina/Ushuaia,America/Catamarca,America/Cordoba,America/Jujuy,America/Rosario,Africa/Windhoek,Africa/Ndjamena,Africa/Brazzaville,Africa/Bissau,Africa/El_Aaiun,Africa/Bangui,Africa/Douala,Africa/Kinshasa,Africa/Lagos,Africa/Libreville,Africa/Luanda,Africa/Malabo,Africa/Ndjamena,Africa/Niamey,Africa/Porto-Novo,Africa/Windhoek,Europe/Lisbon,Europe/Madrid,Europe/Monaco,Europe/Paris,Europe/Paris,Europe/Luxembourg,Africa/Algiers,Africa/Casablanca,Africa/Ceuta,Africa/El_Aaiun,Atlantic/Canary,Atlantic/Faeroe,Atlantic/Faroe,Atlantic/Madeira,Europe/Brussels,Europe/Lisbon,Europe/Luxembourg,Europe/Madrid,Europe/Monaco,Europe/Paris,Europe/Luxembourg,Africa/Algiers,Africa/Casablanca,Africa/Ceuta,Africa/El_Aaiun,Atlantic/Azores,Atlantic/Canary,Atlantic/Faeroe,Atlantic/Faroe,Atlantic/Madeira,Europe/Andorra,Europe/Brussels,Europe/Lisbon,Europe/Luxembourg,Europe/Madrid,Europe/Monaco,Pacific/Wallis,America/Godthab,America/Danmarkshavn,America/Godthab,America/Danmarkshavn,Asia/Jakarta,Asia/Pontianak,Asia/Jakarta,Asia/Pontianak,Asia/Jakarta,Asia/Pontianak,Asia/Dili,Asia/Makassar,Asia/Pontianak,Asia/Ujung_Pandang,Asia/Jayapura,Europe/Vilnius,Europe/Warsaw,Pacific/Apia,Pacific/Apia,Pacific/Apia,Asia/Kashgar,Asia/Urumqi,Asia/Yakutsk,Asia/Yakutsk,Asia/Chita,Asia/Khandyga,Asia/Chita,Asia/Khandyga,Asia/Yakutsk,Asia/Yakutsk,Asia/Yakutsk,Asia/Chita,Asia/Khandyga,Asia/Ust-Nera,Asia/Chita,Asia/Khandyga,Asia/Ust-Nera,Asia/Chita,Asia/Khandyga,America/Dawson,America/Whitehorse,Canada/Yukon,America/Dawson,America/Juneau,America/Whitehorse,America/Yakutat,Canada/Yukon,Asia/Yekaterinburg,Asia/Yekaterinburg,Asia/Yekaterinburg,Asia/Yerevan,Asia/Yerevan,Asia/Yerevan,Asia/Yerevan,America/Dawson,America/Whitehorse,America/Yakutat,Canada/Yukon,America/Anchorage,America/Dawson,America/Juneau,America/Nome,America/Sitka,America/Whitehorse,America/Yakutat,Canada/Yukon,America/Dawson,America/Whitehorse,America/Yakutat,Canada/Yukon,Antarctica/Davis,America/Cambridge_Bay,America/Inuvik,America/Iqaluit,America/Pangnirtung,America/Rankin_Inlet,America/Resolute,America/Yellowknife,Antarctica/Casey,Antarctica/DumontDUrville,Antarctica/Macquarie,Antarctica/Mawson,Antarctica/Palmer,Antarctica/Rothera,Antarctica/Syowa,Antarctica/Troll,Antarctica/Vostok,Indian/Kerguelen',
                'class'=>'',
            ],
            [
                'key'=>'general_reminder_hour',
                'type'=>'select',
                'options'=>'0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23',
                'class'=>'',
            ],
            [
                'key'=>'label_certificates',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'menu_show_certificates',
                'type'=>'radio',
                'options'=>'1=Yes,0=No',
                'class'=>'',
            ],
            [
                'key'=>'menu_show_downloads',
                'type'=>'radio',
                'options'=>'1=Yes,0=No',
                'class'=>'',
            ],
            [
                'key'=>'label_downloads',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'general_chat_code',
                'type'=>'textarea',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'menu_show_homework',
                'type'=>'radio',
                'options'=>'1=Yes,0=No',
                'class'=>'',
            ],
            [
                'key'=>'label_courses',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'label_my_sessions',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'label_homework',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'regis_confirm_email',
                'type'=>'radio',
                'options'=>'1=Yes,0=No',
                'class'=>'',
            ],
            [
                'key'=>'label_featured',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'label_calendar',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'label_blog_posts',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'label_register',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'info_terms',
                'type'=>'textarea',
                'options'=>'',
                'class'=>'rte',
            ],
            [
                'key'=>'info_privacy',
                'type'=>'textarea',
                'options'=>'',
                'class'=>'rte',
            ],
            [
                'key'=>'general_address',
                'type'=>'textarea',
                'options'=>'',
                'class'=>'rte',
            ],
            [
                'key'=>'general_tel',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'general_contact_email',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'social_enable_facebook',
                'type'=>'radio',
                'options'=>'1=Yes,0=No',
                'class'=>'',
            ],
            [
                'key'=>'social_facebook_secret',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'social_facebook_app_id',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'social_enable_google',
                'type'=>'radio',
                'options'=>'1=Yes,0=No',
                'class'=>'',
            ],
            [
                'key'=>'social_google_secret',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'social_google_id',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'sms_enabled',
                'type'=>'checkbox',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'sms_sender_name',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'label_sessions_courses',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'label_session_course',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'banner_status',
                'type'=>'radio',
                'options'=>'1=Yes,0=No',
                'class'=>'',
            ],
            [
                'key'=>'banner_app_name',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'banner_android_id',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'banner_ios_id',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'banner_icon_url',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'regis_captcha_type',
                'type'=>'select',
                'options'=>'image=Image,google=Google reCAPTCHA v3',
                'class'=>'',
            ],
            [
                'key'=>'regis_recaptcha_key',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'regis_recaptcha_secret',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],
            [
                'key'=>'config_language',
                'type'=>'text',
                'options'=>'',
                'class'=>'',
            ],

        ]);



        //countries
        \App\Country::insert([
            [
                'name'=>'Aaland Islands',
                'iso_code_2'=>'AX',
                'iso_code_3'=>'ALA',
                'currency_name'=>'Euro',
                'currency_code'=>'EUR',
                'symbol_left'=>'€',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Afghanistan',
                'iso_code_2'=>'AF',
                'iso_code_3'=>'AFG',
                'currency_name'=>'Afghani',
                'currency_code'=>'AFN',
                'symbol_left'=>'?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Albania',
                'iso_code_2'=>'AL',
                'iso_code_3'=>'ALB',
                'currency_name'=>'Lek',
                'currency_code'=>'ALL',
                'symbol_left'=>'L',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Algeria',
                'iso_code_2'=>'DZ',
                'iso_code_3'=>'DZA',
                'currency_name'=>'Algerian Dinar',
                'currency_code'=>'DZD',
                'symbol_left'=>'?.?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'American Samoa',
                'iso_code_2'=>'AS',
                'iso_code_3'=>'ASM',
                'currency_name'=>'Euros',
                'currency_code'=>'EUR',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Andorra',
                'iso_code_2'=>'AD',
                'iso_code_3'=>'AND',
                'currency_name'=>'Euros',
                'currency_code'=>'EUR',
                'symbol_left'=>'€',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Angola',
                'iso_code_2'=>'AO',
                'iso_code_3'=>'AGO',
                'currency_name'=>'Angolan kwanza',
                'currency_code'=>'AOA',
                'symbol_left'=>'Kz',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Anguilla',
                'iso_code_2'=>'AI',
                'iso_code_3'=>'AIA',
                'currency_name'=>'East Caribbean Dollar',
                'currency_code'=>'XCD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Antarctica',
                'iso_code_2'=>'AQ',
                'iso_code_3'=>'ATA',
                'currency_name'=>'Antarctican dollar',
                'currency_code'=>'AQD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Antigua and Barbuda',
                'iso_code_2'=>'AG',
                'iso_code_3'=>'ATG',
                'currency_name'=>'East Caribbean Dollar',
                'currency_code'=>'XCD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Argentina',
                'iso_code_2'=>'AR',
                'iso_code_3'=>'ARG',
                'currency_name'=>'Peso',
                'currency_code'=>'ARS',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Armenia',
                'iso_code_2'=>'AM',
                'iso_code_3'=>'ARM',
                'currency_name'=>'Dram',
                'currency_code'=>'AMD',
                'symbol_left'=>'',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Aruba',
                'iso_code_2'=>'AW',
                'iso_code_3'=>'ABW',
                'currency_name'=>'Netherlands Antilles Guilder',
                'currency_code'=>'ANG',
                'symbol_left'=>'ƒ',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Australia',
                'iso_code_2'=>'AU',
                'iso_code_3'=>'AUS',
                'currency_name'=>'Australian Dollars',
                'currency_code'=>'AUD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Austria',
                'iso_code_2'=>'AT',
                'iso_code_3'=>'AUT',
                'currency_name'=>'Euros',
                'currency_code'=>'EUR',
                'symbol_left'=>'€',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Azerbaijan',
                'iso_code_2'=>'AZ',
                'iso_code_3'=>'AZE',
                'currency_name'=>'Manat',
                'currency_code'=>'AZN',
                'symbol_left'=>'',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Bahamas',
                'iso_code_2'=>'BS',
                'iso_code_3'=>'BHS',
                'currency_name'=>'Bahamian Dollar',
                'currency_code'=>'BSD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Bahrain',
                'iso_code_2'=>'BH',
                'iso_code_3'=>'BHR',
                'currency_name'=>'Bahraini Dinar',
                'currency_code'=>'BHD',
                'symbol_left'=>'.?.?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Bangladesh',
                'iso_code_2'=>'BD',
                'iso_code_3'=>'BGD',
                'currency_name'=>'Taka',
                'currency_code'=>'BDT',
                'symbol_left'=>'?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Barbados',
                'iso_code_2'=>'BB',
                'iso_code_3'=>'BRB',
                'currency_name'=>'Barbadian Dollar',
                'currency_code'=>'BBD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Belarus',
                'iso_code_2'=>'BY',
                'iso_code_3'=>'BLR',
                'currency_name'=>'Belarus Ruble',
                'currency_code'=>'BYR',
                'symbol_left'=>'Br',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Belgium',
                'iso_code_2'=>'BE',
                'iso_code_3'=>'BEL',
                'currency_name'=>'Euros',
                'currency_code'=>'EUR',
                'symbol_left'=>'€',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Belize',
                'iso_code_2'=>'BZ',
                'iso_code_3'=>'BLZ',
                'currency_name'=>'Belizean Dollar',
                'currency_code'=>'BZD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Benin',
                'iso_code_2'=>'BJ',
                'iso_code_3'=>'BEN',
                'currency_name'=>'CFA Franc BCEAO',
                'currency_code'=>'XOF',
                'symbol_left'=>'Fr',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Bermuda',
                'iso_code_2'=>'BM',
                'iso_code_3'=>'BMU',
                'currency_name'=>'Bermudian Dollar',
                'currency_code'=>'BMD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Bhutan',
                'iso_code_2'=>'BT',
                'iso_code_3'=>'BTN',
                'currency_name'=>'Indian Rupee',
                'currency_code'=>'INR',
                'symbol_left'=>'₹',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Bolivia',
                'iso_code_2'=>'BO',
                'iso_code_3'=>'BOL',
                'currency_name'=>'Boliviano',
                'currency_code'=>'BOB',
                'symbol_left'=>'Bs.',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Bonaire, Sint Eustatius and Saba',
                'iso_code_2'=>'BQ',
                'iso_code_3'=>'BES',
                'currency_name'=>'United States Dollar',
                'currency_code'=>'USD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Bosnia and Herzegovina',
                'iso_code_2'=>'BA',
                'iso_code_3'=>'BIH',
                'currency_name'=>'Bosnia and Herzegovina convertible mark',
                'currency_code'=>'BAM',
                'symbol_left'=>'',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Botswana',
                'iso_code_2'=>'BW',
                'iso_code_3'=>'BWA',
                'currency_name'=>'Pula',
                'currency_code'=>'BWP',
                'symbol_left'=>'P',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Bouvet Island',
                'iso_code_2'=>'BV',
                'iso_code_3'=>'BVT',
                'currency_name'=>'Norwegian Krone',
                'currency_code'=>'NOK',
                'symbol_left'=>'kr',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Brazil',
                'iso_code_2'=>'BR',
                'iso_code_3'=>'BRA',
                'currency_name'=>'Brazil',
                'currency_code'=>'BRL',
                'symbol_left'=>'R$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'British Indian Ocean Territory',
                'iso_code_2'=>'IO',
                'iso_code_3'=>'IOT',
                'currency_name'=>'United States Dollar',
                'currency_code'=>'USD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Brunei Darussalam',
                'iso_code_2'=>'BN',
                'iso_code_3'=>'BRN',
                'currency_name'=>'Bruneian Dollar',
                'currency_code'=>'BND',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Bulgaria',
                'iso_code_2'=>'BG',
                'iso_code_3'=>'BGR',
                'currency_name'=>'Lev',
                'currency_code'=>'BGN',
                'symbol_left'=>'??',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Burkina Faso',
                'iso_code_2'=>'BF',
                'iso_code_3'=>'BFA',
                'currency_name'=>'CFA Franc BCEAO',
                'currency_code'=>'XOF',
                'symbol_left'=>'Fr',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Burundi',
                'iso_code_2'=>'BI',
                'iso_code_3'=>'BDI',
                'currency_name'=>'Burundi Franc',
                'currency_code'=>'BIF',
                'symbol_left'=>'Fr',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Cambodia',
                'iso_code_2'=>'KH',
                'iso_code_3'=>'KHM',
                'currency_name'=>'Riel',
                'currency_code'=>'KHR',
                'symbol_left'=>'?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Cameroon',
                'iso_code_2'=>'CM',
                'iso_code_3'=>'CMR',
                'currency_name'=>'CFA Franc BEAC',
                'currency_code'=>'XAF',
                'symbol_left'=>'Fr',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Canada',
                'iso_code_2'=>'CA',
                'iso_code_3'=>'CAN',
                'currency_name'=>'Canadian Dollar',
                'currency_code'=>'CAD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Canary Islands',
                'iso_code_2'=>'IC',
                'iso_code_3'=>'ICA',
                'currency_name'=>'Euro',
                'currency_code'=>'EUR',
                'symbol_left'=>'',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Cape Verde',
                'iso_code_2'=>'CV',
                'iso_code_3'=>'CPV',
                'currency_name'=>'Escudo',
                'currency_code'=>'CVE',
                'symbol_left'=>'Esc',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Cayman Islands',
                'iso_code_2'=>'KY',
                'iso_code_3'=>'CYM',
                'currency_name'=>'Caymanian Dollar',
                'currency_code'=>'KYD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Central African Republic',
                'iso_code_2'=>'CF',
                'iso_code_3'=>'CAF',
                'currency_name'=>'CFA Franc BEAC',
                'currency_code'=>'XAF',
                'symbol_left'=>'Fr',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Chad',
                'iso_code_2'=>'TD',
                'iso_code_3'=>'TCD',
                'currency_name'=>'CFA Franc BEAC',
                'currency_code'=>'XAF',
                'symbol_left'=>'Fr',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Chile',
                'iso_code_2'=>'CL',
                'iso_code_3'=>'CHL',
                'currency_name'=>'Chilean Peso',
                'currency_code'=>'CLP',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'China',
                'iso_code_2'=>'CN',
                'iso_code_3'=>'CHN',
                'currency_name'=>'Yuan Renminbi',
                'currency_code'=>'CNY',
                'symbol_left'=>'¥',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Christmas Island',
                'iso_code_2'=>'CX',
                'iso_code_3'=>'CXR',
                'currency_name'=>'Australian Dollars',
                'currency_code'=>'AUD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Cocos (Keeling) Islands',
                'iso_code_2'=>'CC',
                'iso_code_3'=>'CCK',
                'currency_name'=>'Australian Dollars',
                'currency_code'=>'AUD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Colombia',
                'iso_code_2'=>'CO',
                'iso_code_3'=>'COL',
                'currency_name'=>'Peso',
                'currency_code'=>'COP',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Comoros',
                'iso_code_2'=>'KM',
                'iso_code_3'=>'COM',
                'currency_name'=>'Comoran Franc',
                'currency_code'=>'KMF',
                'symbol_left'=>'Fr',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Congo',
                'iso_code_2'=>'CG',
                'iso_code_3'=>'COG',
                'currency_name'=>'CFA Franc BEAC',
                'currency_code'=>'XAF',
                'symbol_left'=>'Fr',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Cook Islands',
                'iso_code_2'=>'CK',
                'iso_code_3'=>'COK',
                'currency_name'=>'New Zealand Dollars',
                'currency_code'=>'NZD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Costa Rica',
                'iso_code_2'=>'CR',
                'iso_code_3'=>'CRI',
                'currency_name'=>'Costa Rican Colon',
                'currency_code'=>'CRC',
                'symbol_left'=>'?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Cote D\'Ivoire',
                'iso_code_2'=>'CI',
                'iso_code_3'=>'CIV',
                'currency_name'=>'CFA Franc BCEAO',
                'currency_code'=>'XOF',
                'symbol_left'=>'Fr',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Croatia',
                'iso_code_2'=>'HR',
                'iso_code_3'=>'HRV',
                'currency_name'=>'Croatian Dinar',
                'currency_code'=>'HRK',
                'symbol_left'=>'kn',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Cuba',
                'iso_code_2'=>'CU',
                'iso_code_3'=>'CUB',
                'currency_name'=>'Cuban Peso',
                'currency_code'=>'CUP',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Curacao',
                'iso_code_2'=>'CW',
                'iso_code_3'=>'CUW',
                'currency_name'=>'Netherlands Antillean guilder',
                'currency_code'=>'NAF',
                'symbol_left'=>'ƒ',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Cyprus',
                'iso_code_2'=>'CY',
                'iso_code_3'=>'CYP',
                'currency_name'=>'Cypriot Pound',
                'currency_code'=>'CYP',
                'symbol_left'=>'€',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Czech Republic',
                'iso_code_2'=>'CZ',
                'iso_code_3'=>'CZE',
                'currency_name'=>'Koruna',
                'currency_code'=>'CZK',
                'symbol_left'=>'K?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Democratic Republic of Congo',
                'iso_code_2'=>'CD',
                'iso_code_3'=>'COD',
                'currency_name'=>'Congolese Frank',
                'currency_code'=>'CDF',
                'symbol_left'=>'Fr',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Denmark',
                'iso_code_2'=>'DK',
                'iso_code_3'=>'DNK',
                'currency_name'=>'Danish Krone',
                'currency_code'=>'DKK',
                'symbol_left'=>'kr',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Djibouti',
                'iso_code_2'=>'DJ',
                'iso_code_3'=>'DJI',
                'currency_name'=>'Djiboutian Franc',
                'currency_code'=>'DJF',
                'symbol_left'=>'Fr',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Dominica',
                'iso_code_2'=>'DM',
                'iso_code_3'=>'DMA',
                'currency_name'=>'East Caribbean Dollar',
                'currency_code'=>'XCD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Dominican Republic',
                'iso_code_2'=>'DO',
                'iso_code_3'=>'DOM',
                'currency_name'=>'Dominican Peso',
                'currency_code'=>'DOP',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'East Timor',
                'iso_code_2'=>'TL',
                'iso_code_3'=>'TLS',
                'currency_name'=>'United States Dollar',
                'currency_code'=>'USD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Ecuador',
                'iso_code_2'=>'EC',
                'iso_code_3'=>'ECU',
                'currency_name'=>'Sucre',
                'currency_code'=>'ECS',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Egypt',
                'iso_code_2'=>'EG',
                'iso_code_3'=>'EGY',
                'currency_name'=>'Egyptian Pound',
                'currency_code'=>'EGP',
                'symbol_left'=>'£',
                'symbol_right'=>'',
            ],
            [
                'name'=>'El Salvador',
                'iso_code_2'=>'SV',
                'iso_code_3'=>'SLV',
                'currency_name'=>'Salvadoran Colon',
                'currency_code'=>'SVC',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Equatorial Guinea',
                'iso_code_2'=>'GQ',
                'iso_code_3'=>'GNQ',
                'currency_name'=>'CFA Franc BEAC',
                'currency_code'=>'XAF',
                'symbol_left'=>'Fr',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Eritrea',
                'iso_code_2'=>'ER',
                'iso_code_3'=>'ERI',
                'currency_name'=>'Ethiopian Birr',
                'currency_code'=>'ETB',
                'symbol_left'=>'Nfk',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Estonia',
                'iso_code_2'=>'EE',
                'iso_code_3'=>'EST',
                'currency_name'=>'Estonian Kroon',
                'currency_code'=>'EEK',
                'symbol_left'=>'€',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Ethiopia',
                'iso_code_2'=>'ET',
                'iso_code_3'=>'ETH',
                'currency_name'=>'Ethiopian Birr',
                'currency_code'=>'ETB',
                'symbol_left'=>'Br',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Falkland Islands (Malvinas)',
                'iso_code_2'=>'FK',
                'iso_code_3'=>'FLK',
                'currency_name'=>'Falkland Pound',
                'currency_code'=>'FKP',
                'symbol_left'=>'£',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Faroe Islands',
                'iso_code_2'=>'FO',
                'iso_code_3'=>'FRO',
                'currency_name'=>'Danish Krone',
                'currency_code'=>'DKK',
                'symbol_left'=>'kr',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Fiji',
                'iso_code_2'=>'FJ',
                'iso_code_3'=>'FJI',
                'currency_name'=>'Fijian Dollar',
                'currency_code'=>'FJD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Finland',
                'iso_code_2'=>'FI',
                'iso_code_3'=>'FIN',
                'currency_name'=>'Euros',
                'currency_code'=>'EUR',
                'symbol_left'=>'€',
                'symbol_right'=>'',
            ],
            [
                'name'=>'France, Metropolitan',
                'iso_code_2'=>'FR',
                'iso_code_3'=>'FRA',
                //'address_format'=>'{firstname} {lastname} {company} {address_1} {address_2} {postcode} {city} {country}',
                //'postcode_required'=>'1',
                //'status'=>'1',
                'currency_name'=>'Euros',
                'currency_code'=>'EUR',
                'symbol_left'=>'€',
                'symbol_right'=>'',
            ],
            [
                'name'=>'French Guiana',
                'iso_code_2'=>'GF',
                'iso_code_3'=>'GUF',
                'currency_name'=>'Euros',
                'currency_code'=>'EUR',
                'symbol_left'=>'€',
                'symbol_right'=>'',
            ],
            [
                'name'=>'French Polynesia',
                'iso_code_2'=>'PF',
                'iso_code_3'=>'PYF',
                'currency_name'=>'CFP Franc',
                'currency_code'=>'XPF',
                'symbol_left'=>'Fr',
                'symbol_right'=>'',
            ],
            [
                'name'=>'French Southern Territories',
                'iso_code_2'=>'TF',
                'iso_code_3'=>'ATF',
                'currency_name'=>'Euros',
                'currency_code'=>'EUR',
                'symbol_left'=>'€',
                'symbol_right'=>'',
            ],
            [
                'name'=>'FYROM',
                'iso_code_2'=>'MK',
                'iso_code_3'=>'MKD',
                'currency_name'=>'Denar',
                'currency_code'=>'MKD',
                'symbol_left'=>'???',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Gabon',
                'iso_code_2'=>'GA',
                'iso_code_3'=>'GAB',
                'currency_name'=>'CFA Franc BEAC',
                'currency_code'=>'XAF',
                'symbol_left'=>'Fr',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Gambia',
                'iso_code_2'=>'GM',
                'iso_code_3'=>'GMB',
                'currency_name'=>'Dalasi',
                'currency_code'=>'GMD',
                'symbol_left'=>'D',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Georgia',
                'iso_code_2'=>'GE',
                'iso_code_3'=>'GEO',
                'currency_name'=>'Lari',
                'currency_code'=>'GEL',
                'symbol_left'=>'?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Germany',
                'iso_code_2'=>'DE',
                'iso_code_3'=>'DEU',
                //'address_format'=>'{company} {firstname} {lastname} {address_1} {address_2} {postcode} {city} {country}',
                //'postcode_required'=>'1',
                //'status'=>'1',
                'currency_name'=>'Euros',
                'currency_code'=>'EUR',
                'symbol_left'=>'€',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Ghana',
                'iso_code_2'=>'GH',
                'iso_code_3'=>'GHA',
                'currency_name'=>'Ghana cedi',
                'currency_code'=>'GHS',
                'symbol_left'=>'GH¢',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Gibraltar',
                'iso_code_2'=>'GI',
                'iso_code_3'=>'GIB',
                'currency_name'=>'Gibraltar Pound',
                'currency_code'=>'GIP',
                'symbol_left'=>'£',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Greece',
                'iso_code_2'=>'GR',
                'iso_code_3'=>'GRC',
                'currency_name'=>'Euros',
                'currency_code'=>'EUR',
                'symbol_left'=>'€',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Greenland',
                'iso_code_2'=>'GL',
                'iso_code_3'=>'GRL',
                'currency_name'=>'Danish Krone',
                'currency_code'=>'DKK',
                'symbol_left'=>'kr',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Grenada',
                'iso_code_2'=>'GD',
                'iso_code_3'=>'GRD',
                'currency_name'=>'East Caribbean Dollar',
                'currency_code'=>'XCD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Guadeloupe',
                'iso_code_2'=>'GP',
                'iso_code_3'=>'GLP',
                'currency_name'=>'Euros',
                'currency_code'=>'EUR',
                'symbol_left'=>'€',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Guam',
                'iso_code_2'=>'GU',
                'iso_code_3'=>'GUM',
                'currency_name'=>'United States Dollar',
                'currency_code'=>'USD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Guatemala',
                'iso_code_2'=>'GT',
                'iso_code_3'=>'GTM',
                'currency_name'=>'Quetzal',
                'currency_code'=>'GTQ',
                'symbol_left'=>'Q',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Guernsey',
                'iso_code_2'=>'GG',
                'iso_code_3'=>'GGY',
                //'postcode_required'=>'1',
                //'status'=>'1',
                'currency_name'=>'Guernsey pound',
                'currency_code'=>'GGP',
                'symbol_left'=>'£',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Guinea',
                'iso_code_2'=>'GN',
                'iso_code_3'=>'GIN',
                'currency_name'=>'Guinean Franc',
                'currency_code'=>'GNF',
                'symbol_left'=>'Fr',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Guinea-Bissau',
                'iso_code_2'=>'GW',
                'iso_code_3'=>'GNB',
                'currency_name'=>'CFA Franc BCEAO',
                'currency_code'=>'XOF',
                'symbol_left'=>'Fr',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Guyana',
                'iso_code_2'=>'GY',
                'iso_code_3'=>'GUY',
                'currency_name'=>'Guyanaese Dollar',
                'currency_code'=>'GYD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Haiti',
                'iso_code_2'=>'HT',
                'iso_code_3'=>'HTI',
                'currency_name'=>'Gourde',
                'currency_code'=>'HTG',
                'symbol_left'=>'G',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Heard and Mc Donald Islands',
                'iso_code_2'=>'HM',
                'iso_code_3'=>'HMD',
                'currency_name'=>'Australian Dollars',
                'currency_code'=>'AUD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Honduras',
                'iso_code_2'=>'HN',
                'iso_code_3'=>'HND',
                'currency_name'=>'Lempira',
                'currency_code'=>'HNL',
                'symbol_left'=>'L',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Hong Kong',
                'iso_code_2'=>'HK',
                'iso_code_3'=>'HKG',
                'currency_name'=>'HKD',
                'currency_code'=>'HKD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Hungary',
                'iso_code_2'=>'HU',
                'iso_code_3'=>'HUN',
                'currency_name'=>'Forint',
                'currency_code'=>'HUF',
                'symbol_left'=>'Ft',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Iceland',
                'iso_code_2'=>'IS',
                'iso_code_3'=>'ISL',
                'currency_name'=>'Icelandic Krona',
                'currency_code'=>'ISK',
                'symbol_left'=>'kr',
                'symbol_right'=>'',
            ],
            [
                'name'=>'India',
                'iso_code_2'=>'IN',
                'iso_code_3'=>'IND',
                'currency_name'=>'Indian Rupee',
                'currency_code'=>'INR',
                'symbol_left'=>'₹',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Indonesia',
                'iso_code_2'=>'ID',
                'iso_code_3'=>'IDN',
                'currency_name'=>'Indonesian Rupiah',
                'currency_code'=>'IDR',
                'symbol_left'=>'Rp',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Iran (Islamic Republic of)',
                'iso_code_2'=>'IR',
                'iso_code_3'=>'IRN',
                'currency_name'=>'Iranian Rial',
                'currency_code'=>'IRR',
                'symbol_left'=>'?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Iraq',
                'iso_code_2'=>'IQ',
                'iso_code_3'=>'IRQ',
                'currency_name'=>'Iraqi Dinar',
                'currency_code'=>'IQD',
                'symbol_left'=>'?.?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Ireland',
                'iso_code_2'=>'IE',
                'iso_code_3'=>'IRL',
                'currency_name'=>'Euros',
                'currency_code'=>'EUR',
                'symbol_left'=>'€',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Israel',
                'iso_code_2'=>'IL',
                'iso_code_3'=>'ISR',
                'currency_name'=>'Shekel',
                'currency_code'=>'ILS',
                'symbol_left'=>'?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Italy',
                'iso_code_2'=>'IT',
                'iso_code_3'=>'ITA',
                'currency_name'=>'Euros',
                'currency_code'=>'EUR',
                'symbol_left'=>'€',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Jamaica',
                'iso_code_2'=>'JM',
                'iso_code_3'=>'JAM',
                'currency_name'=>'Jamaican Dollar',
                'currency_code'=>'JMD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Japan',
                'iso_code_2'=>'JP',
                'iso_code_3'=>'JPN',
                'currency_name'=>'Japanese Yen',
                'currency_code'=>'JPY',
                'symbol_left'=>'¥',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Jersey',
                'iso_code_2'=>'JE',
                'iso_code_3'=>'JEY',
                //'postcode_required'=>'1',
                //'status'=>'1',
                'currency_name'=>'Pound Sterling',
                'currency_code'=>'GBP',
                'symbol_left'=>'£',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Jordan',
                'iso_code_2'=>'JO',
                'iso_code_3'=>'JOR',
                'currency_name'=>'Jordanian Dinar',
                'currency_code'=>'JOD',
                'symbol_left'=>'?.?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Kazakhstan',
                'iso_code_2'=>'KZ',
                'iso_code_3'=>'KAZ',
                'currency_name'=>'Tenge',
                'currency_code'=>'KZT',
                'symbol_left'=>'',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Kenya',
                'iso_code_2'=>'KE',
                'iso_code_3'=>'KEN',
                'currency_name'=>'Kenyan Shilling',
                'currency_code'=>'KES',
                'symbol_left'=>'Sh',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Kiribati',
                'iso_code_2'=>'KI',
                'iso_code_3'=>'KIR',
                'currency_name'=>'Australian Dollars',
                'currency_code'=>'AUD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Korea, Republic of',
                'iso_code_2'=>'KR',
                'iso_code_3'=>'KOR',
                'currency_name'=>'Won',
                'currency_code'=>'KRW',
                'symbol_left'=>'?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Kuwait',
                'iso_code_2'=>'KW',
                'iso_code_3'=>'KWT',
                'currency_name'=>'Kuwaiti Dinar',
                'currency_code'=>'KWD',
                'symbol_left'=>'?.?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Kyrgyzstan',
                'iso_code_2'=>'KG',
                'iso_code_3'=>'KGZ',
                'currency_name'=>'Som',
                'currency_code'=>'KGS',
                'symbol_left'=>'?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Lao People\'s Democratic Republic',
                'iso_code_2'=>'LA',
                'iso_code_3'=>'LAO',
                'currency_name'=>'Kip',
                'currency_code'=>'LAK',
                'symbol_left'=>'?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Latvia',
                'iso_code_2'=>'LV',
                'iso_code_3'=>'LVA',
                'currency_name'=>'Lat',
                'currency_code'=>'LVL',
                'symbol_left'=>'€',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Lebanon',
                'iso_code_2'=>'LB',
                'iso_code_3'=>'LBN',
                'currency_name'=>'Lebanese Pound',
                'currency_code'=>'LBP',
                'symbol_left'=>'?.?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Lesotho',
                'iso_code_2'=>'LS',
                'iso_code_3'=>'LSO',
                'currency_name'=>'Loti',
                'currency_code'=>'LSL',
                'symbol_left'=>'L',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Liberia',
                'iso_code_2'=>'LR',
                'iso_code_3'=>'LBR',
                'currency_name'=>'Liberian Dollar',
                'currency_code'=>'LRD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Libyan Arab Jamahiriya',
                'iso_code_2'=>'LY',
                'iso_code_3'=>'LBY',
                'currency_name'=>'Libyan Dinar',
                'currency_code'=>'LYD',
                'symbol_left'=>'?.?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Liechtenstein',
                'iso_code_2'=>'LI',
                'iso_code_3'=>'LIE',
                'currency_name'=>'Swiss Franc',
                'currency_code'=>'CHF',
                'symbol_left'=>'Fr',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Lithuania',
                'iso_code_2'=>'LT',
                'iso_code_3'=>'LTU',
                'currency_name'=>'Lita',
                'currency_code'=>'LTL',
                'symbol_left'=>'€',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Luxembourg',
                'iso_code_2'=>'LU',
                'iso_code_3'=>'LUX',
                'currency_name'=>'Euros',
                'currency_code'=>'EUR',
                'symbol_left'=>'€',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Macau',
                'iso_code_2'=>'MO',
                'iso_code_3'=>'MAC',
                'currency_name'=>'Pataca',
                'currency_code'=>'MOP',
                'symbol_left'=>'P',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Madagascar',
                'iso_code_2'=>'MG',
                'iso_code_3'=>'MDG',
                'currency_name'=>'Malagasy Franc',
                'currency_code'=>'MGA',
                'symbol_left'=>'Ar',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Malawi',
                'iso_code_2'=>'MW',
                'iso_code_3'=>'MWI',
                'currency_name'=>'Malawian Kwacha',
                'currency_code'=>'MWK',
                'symbol_left'=>'MK',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Malaysia',
                'iso_code_2'=>'MY',
                'iso_code_3'=>'MYS',
                'currency_name'=>'Ringgit',
                'currency_code'=>'MYR',
                'symbol_left'=>'RM',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Maldives',
                'iso_code_2'=>'MV',
                'iso_code_3'=>'MDV',
                'currency_name'=>'Rufiyaa',
                'currency_code'=>'MVR',
                'symbol_left'=>'.?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Mali',
                'iso_code_2'=>'ML',
                'iso_code_3'=>'MLI',
                'currency_name'=>'CFA Franc BCEAO',
                'currency_code'=>'XOF',
                'symbol_left'=>'Fr',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Malta',
                'iso_code_2'=>'MT',
                'iso_code_3'=>'MLT',
                'currency_name'=>'Maltese Lira',
                'currency_code'=>'MTL',
                'symbol_left'=>'€',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Marshall Islands',
                'iso_code_2'=>'MH',
                'iso_code_3'=>'MHL',
                'currency_name'=>'United States Dollar',
                'currency_code'=>'USD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Martinique',
                'iso_code_2'=>'MQ',
                'iso_code_3'=>'MTQ',
                'currency_name'=>'Euros',
                'currency_code'=>'EUR',
                'symbol_left'=>'€',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Mauritania',
                'iso_code_2'=>'MR',
                'iso_code_3'=>'MRT',
                'currency_name'=>'Ouguiya',
                'currency_code'=>'MRO',
                'symbol_left'=>'UM',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Mauritius',
                'iso_code_2'=>'MU',
                'iso_code_3'=>'MUS',
                'currency_name'=>'Mauritian Rupee',
                'currency_code'=>'MUR',
                'symbol_left'=>'?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Mayotte',
                'iso_code_2'=>'YT',
                'iso_code_3'=>'MYT',
                'currency_name'=>'Euros',
                'currency_code'=>'EUR',
                'symbol_left'=>'€',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Mexico',
                'iso_code_2'=>'MX',
                'iso_code_3'=>'MEX',
                'currency_name'=>'Peso',
                'currency_code'=>'MXN',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Micronesia, Federated States of',
                'iso_code_2'=>'FM',
                'iso_code_3'=>'FSM',
                'currency_name'=>'United States Dollar',
                'currency_code'=>'USD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Moldova, Republic of',
                'iso_code_2'=>'MD',
                'iso_code_3'=>'MDA',
                'currency_name'=>'Leu',
                'currency_code'=>'MDL',
                'symbol_left'=>'L',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Monaco',
                'iso_code_2'=>'MC',
                'iso_code_3'=>'MCO',
                'currency_name'=>'Euros',
                'currency_code'=>'EUR',
                'symbol_left'=>'€',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Mongolia',
                'iso_code_2'=>'MN',
                'iso_code_3'=>'MNG',
                'currency_name'=>'Tugrik',
                'currency_code'=>'MNT',
                'symbol_left'=>'?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Montenegro',
                'iso_code_2'=>'ME',
                'iso_code_3'=>'MNE',
                'currency_name'=>'Euro',
                'currency_code'=>'EUR',
                'symbol_left'=>'€',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Montserrat',
                'iso_code_2'=>'MS',
                'iso_code_3'=>'MSR',
                'currency_name'=>'East Caribbean Dollar',
                'currency_code'=>'XCD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Morocco',
                'iso_code_2'=>'MA',
                'iso_code_3'=>'MAR',
                'currency_name'=>'Dirham',
                'currency_code'=>'MAD',
                'symbol_left'=>'?.?.',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Mozambique',
                'iso_code_2'=>'MZ',
                'iso_code_3'=>'MOZ',
                'currency_name'=>'Metical',
                'currency_code'=>'MZN',
                'symbol_left'=>'MT',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Myanmar',
                'iso_code_2'=>'MM',
                'iso_code_3'=>'MMR',
                'currency_name'=>'Kyat',
                'currency_code'=>'MMK',
                'symbol_left'=>'Ks',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Namibia',
                'iso_code_2'=>'NA',
                'iso_code_3'=>'NAM',
                'currency_name'=>'Dollar',
                'currency_code'=>'NAD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Nauru',
                'iso_code_2'=>'NR',
                'iso_code_3'=>'NRU',
                'currency_name'=>'Australian Dollars',
                'currency_code'=>'AUD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Nepal',
                'iso_code_2'=>'NP',
                'iso_code_3'=>'NPL',
                'currency_name'=>'Nepalese Rupee',
                'currency_code'=>'NPR',
                'symbol_left'=>'?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Netherlands',
                'iso_code_2'=>'NL',
                'iso_code_3'=>'NLD',
                'currency_name'=>'Euros',
                'currency_code'=>'EUR',
                'symbol_left'=>'€',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Netherlands Antilles',
                'iso_code_2'=>'AN',
                'iso_code_3'=>'ANT',
                'currency_name'=>'Netherlands Antilles Guilder',
                'currency_code'=>'ANG',
                'symbol_left'=>'',
                'symbol_right'=>'',
            ],
            [
                'name'=>'New Caledonia',
                'iso_code_2'=>'NC',
                'iso_code_3'=>'NCL',
                'currency_name'=>'CFP Franc',
                'currency_code'=>'XPF',
                'symbol_left'=>'Fr',
                'symbol_right'=>'',
            ],
            [
                'name'=>'New Zealand',
                'iso_code_2'=>'NZ',
                'iso_code_3'=>'NZL',
                'currency_name'=>'New Zealand Dollars',
                'currency_code'=>'NZD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Nicaragua',
                'iso_code_2'=>'NI',
                'iso_code_3'=>'NIC',
                'currency_name'=>'Cordoba Oro',
                'currency_code'=>'NIO',
                'symbol_left'=>'C$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Niger',
                'iso_code_2'=>'NE',
                'iso_code_3'=>'NER',
                'currency_name'=>'CFA Franc BCEAO',
                'currency_code'=>'XOF',
                'symbol_left'=>'Fr',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Nigeria',
                'iso_code_2'=>'NG',
                'iso_code_3'=>'NGA',
                'currency_name'=>'Naira',
                'currency_code'=>'NGN',
                'symbol_left'=>'₦',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Niue',
                'iso_code_2'=>'NU',
                'iso_code_3'=>'NIU',
                'currency_name'=>'New Zealand Dollars',
                'currency_code'=>'NZD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Norfolk Island',
                'iso_code_2'=>'NF',
                'iso_code_3'=>'NFK',
                'currency_name'=>'Australian Dollars',
                'currency_code'=>'AUD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'North Korea',
                'iso_code_2'=>'KP',
                'iso_code_3'=>'PRK',
                'currency_name'=>'Won',
                'currency_code'=>'KPW',
                'symbol_left'=>'?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Northern Mariana Islands',
                'iso_code_2'=>'MP',
                'iso_code_3'=>'MNP',
                'currency_name'=>'United States Dollar',
                'currency_code'=>'USD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Norway',
                'iso_code_2'=>'NO',
                'iso_code_3'=>'NOR',
                'currency_name'=>'Norwegian Krone',
                'currency_code'=>'NOK',
                'symbol_left'=>'kr',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Oman',
                'iso_code_2'=>'OM',
                'iso_code_3'=>'OMN',
                'currency_name'=>'Sul Rial',
                'currency_code'=>'OMR',
                'symbol_left'=>'?.?.',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Pakistan',
                'iso_code_2'=>'PK',
                'iso_code_3'=>'PAK',
                'currency_name'=>'Rupee',
                'currency_code'=>'PKR',
                'symbol_left'=>'?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Palau',
                'iso_code_2'=>'PW',
                'iso_code_3'=>'PLW',
                'currency_name'=>'United States Dollar',
                'currency_code'=>'USD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Palestinian Territory, Occupied',
                'iso_code_2'=>'PS',
                'iso_code_3'=>'PSE',
                'currency_name'=>'Jordanian dinar',
                'currency_code'=>'JOD',
                'symbol_left'=>'?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Panama',
                'iso_code_2'=>'PA',
                'iso_code_3'=>'PAN',
                'currency_name'=>'Balboa',
                'currency_code'=>'PAB',
                'symbol_left'=>'B/.',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Papua New Guinea',
                'iso_code_2'=>'PG',
                'iso_code_3'=>'PNG',
                'currency_name'=>'Kina',
                'currency_code'=>'PGK',
                'symbol_left'=>'K',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Paraguay',
                'iso_code_2'=>'PY',
                'iso_code_3'=>'PRY',
                'currency_name'=>'Guarani',
                'currency_code'=>'PYG',
                'symbol_left'=>'?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Peru',
                'iso_code_2'=>'PE',
                'iso_code_3'=>'PER',
                'currency_name'=>'Nuevo Sol',
                'currency_code'=>'PEN',
                'symbol_left'=>'S/.',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Philippines',
                'iso_code_2'=>'PH',
                'iso_code_3'=>'PHL',
                'currency_name'=>'Peso',
                'currency_code'=>'PHP',
                'symbol_left'=>'?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Pitcairn',
                'iso_code_2'=>'PN',
                'iso_code_3'=>'PCN',
                'currency_name'=>'New Zealand Dollars',
                'currency_code'=>'NZD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Poland',
                'iso_code_2'=>'PL',
                'iso_code_3'=>'POL',
                'currency_name'=>'Zloty',
                'currency_code'=>'PLN',
                'symbol_left'=>'z?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Portugal',
                'iso_code_2'=>'PT',
                'iso_code_3'=>'PRT',
                'currency_name'=>'Euros',
                'currency_code'=>'EUR',
                'symbol_left'=>'€',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Puerto Rico',
                'iso_code_2'=>'PR',
                'iso_code_3'=>'PRI',
                'currency_name'=>'United States Dollar',
                'currency_code'=>'USD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Qatar',
                'iso_code_2'=>'QA',
                'iso_code_3'=>'QAT',
                'currency_name'=>'Rial',
                'currency_code'=>'QAR',
                'symbol_left'=>'?.?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Reunion',
                'iso_code_2'=>'RE',
                'iso_code_3'=>'REU',
                'currency_name'=>'Euros',
                'currency_code'=>'EUR',
                'symbol_left'=>'€',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Romania',
                'iso_code_2'=>'RO',
                'iso_code_3'=>'ROM',
                'currency_name'=>'Leu',
                'currency_code'=>'RON',
                'symbol_left'=>'lei',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Russian Federation',
                'iso_code_2'=>'RU',
                'iso_code_3'=>'RUS',
                'currency_name'=>'Ruble',
                'currency_code'=>'RUB',
                'symbol_left'=>'?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Rwanda',
                'iso_code_2'=>'RW',
                'iso_code_3'=>'RWA',
                'currency_name'=>'Rwanda Franc',
                'currency_code'=>'RWF',
                'symbol_left'=>'Fr',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Saint Kitts and Nevis',
                'iso_code_2'=>'KN',
                'iso_code_3'=>'KNA',
                'currency_name'=>'East Caribbean Dollar',
                'currency_code'=>'XCD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Saint Lucia',
                'iso_code_2'=>'LC',
                'iso_code_3'=>'LCA',
                'currency_name'=>'East Caribbean Dollar',
                'currency_code'=>'XCD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Saint Vincent and the Grenadines',
                'iso_code_2'=>'VC',
                'iso_code_3'=>'VCT',
                'currency_name'=>'East Caribbean Dollar',
                'currency_code'=>'XCD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Samoa',
                'iso_code_2'=>'WS',
                'iso_code_3'=>'WSM',
                'currency_name'=>'Euros',
                'currency_code'=>'EUR',
                'symbol_left'=>'T',
                'symbol_right'=>'',
            ],
            [
                'name'=>'San Marino',
                'iso_code_2'=>'SM',
                'iso_code_3'=>'SMR',
                'currency_name'=>'Euros',
                'currency_code'=>'EUR',
                'symbol_left'=>'€',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Sao Tome and Principe',
                'iso_code_2'=>'ST',
                'iso_code_3'=>'STP',
                'currency_name'=>'Dobra',
                'currency_code'=>'STD',
                'symbol_left'=>'Db',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Saudi Arabia',
                'iso_code_2'=>'SA',
                'iso_code_3'=>'SAU',
                'currency_name'=>'Riyal',
                'currency_code'=>'SAR',
                'symbol_left'=>'?.?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Senegal',
                'iso_code_2'=>'SN',
                'iso_code_3'=>'SEN',
                'currency_name'=>'CFA Franc BCEAO',
                'currency_code'=>'XOF',
                'symbol_left'=>'Fr',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Serbia',
                'iso_code_2'=>'RS',
                'iso_code_3'=>'SRB',
                'currency_name'=>'Serbian dinar',
                'currency_code'=>'RSD',
                'symbol_left'=>'???.',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Seychelles',
                'iso_code_2'=>'SC',
                'iso_code_3'=>'SYC',
                'currency_name'=>'Rupee',
                'currency_code'=>'SCR',
                'symbol_left'=>'?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Sierra Leone',
                'iso_code_2'=>'SL',
                'iso_code_3'=>'SLE',
                'currency_name'=>'Leone',
                'currency_code'=>'SLL',
                'symbol_left'=>'Le',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Singapore',
                'iso_code_2'=>'SG',
                'iso_code_3'=>'SGP',
                'currency_name'=>'Dollar',
                'currency_code'=>'SGD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Slovak Republic',
                'iso_code_2'=>'SK',
                'iso_code_3'=>'SVK',
                //'address_format'=>'{firstname} {lastname} {company} {address_1} {address_2} {city} {postcode} {zone} {country}',
                'currency_name'=>'Koruna',
                'currency_code'=>'SKK',
                'symbol_left'=>'€',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Slovenia',
                'iso_code_2'=>'SI',
                'iso_code_3'=>'SVN',
                'currency_name'=>'Euros',
                'currency_code'=>'EUR',
                'symbol_left'=>'€',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Solomon Islands',
                'iso_code_2'=>'SB',
                'iso_code_3'=>'SLB',
                'currency_name'=>'Solomon Islands Dollar',
                'currency_code'=>'SBD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Somalia',
                'iso_code_2'=>'SO',
                'iso_code_3'=>'SOM',
                'currency_name'=>'Shilling',
                'currency_code'=>'SOS',
                'symbol_left'=>'Sh',
                'symbol_right'=>'',
            ],
            [
                'name'=>'South Africa',
                'iso_code_2'=>'ZA',
                'iso_code_3'=>'ZAF',
                'currency_name'=>'Rand',
                'currency_code'=>'ZAR',
                'symbol_left'=>'R',
                'symbol_right'=>'',
            ],
            [
                'name'=>'South Georgia & South Sandwich Islands',
                'iso_code_2'=>'GS',
                'iso_code_3'=>'SGS',
                'currency_name'=>'Pound Sterling',
                'currency_code'=>'GBP',
                'symbol_left'=>'£',
                'symbol_right'=>'',
            ],
            [
                'name'=>'South Sudan',
                'iso_code_2'=>'SS',
                'iso_code_3'=>'SSD',
                'currency_name'=>'South Sudanese Pound',
                'currency_code'=>'SSP',
                'symbol_left'=>'£',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Spain',
                'iso_code_2'=>'ES',
                'iso_code_3'=>'ESP',
                'currency_name'=>'Euros',
                'currency_code'=>'EUR',
                'symbol_left'=>'€',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Sri Lanka',
                'iso_code_2'=>'LK',
                'iso_code_3'=>'LKA',
                'currency_name'=>'Rupee',
                'currency_code'=>'LKR',
                'symbol_left'=>'Rs',
                'symbol_right'=>'',
            ],
            [
                'name'=>'St. Barthelemy',
                'iso_code_2'=>'BL',
                'iso_code_3'=>'BLM',
                'currency_name'=>'Euro',
                'currency_code'=>'EUR',
                'symbol_left'=>'€',
                'symbol_right'=>'',
            ],
            [
                'name'=>'St. Helena',
                'iso_code_2'=>'SH',
                'iso_code_3'=>'SHN',
                'currency_name'=>'Pound Sterling',
                'currency_code'=>'GBP',
                'symbol_left'=>'£',
                'symbol_right'=>'',
            ],
            [
                'name'=>'St. Martin (French part)',
                'iso_code_2'=>'MF',
                'iso_code_3'=>'MAF',
                'currency_name'=>'Netherlands Antillean guilder',
                'currency_code'=>'ANG',
                'symbol_left'=>'€',
                'symbol_right'=>'',
            ],
            [
                'name'=>'St. Pierre and Miquelon',
                'iso_code_2'=>'PM',
                'iso_code_3'=>'SPM',
                'currency_name'=>'Euro',
                'currency_code'=>'EUR',
                'symbol_left'=>'€',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Sudan',
                'iso_code_2'=>'SD',
                'iso_code_3'=>'SDN',
                'currency_name'=>'Dinar',
                'currency_code'=>'SDG',
                'symbol_left'=>'?.?.',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Suriname',
                'iso_code_2'=>'SR',
                'iso_code_3'=>'SUR',
                'currency_name'=>'Surinamese Guilder',
                'currency_code'=>'SRD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Svalbard and Jan Mayen Islands',
                'iso_code_2'=>'SJ',
                'iso_code_3'=>'SJM',
                'currency_name'=>'Norwegian Krone',
                'currency_code'=>'NOK',
                'symbol_left'=>'kr',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Swaziland',
                'iso_code_2'=>'SZ',
                'iso_code_3'=>'SWZ',
                'currency_name'=>'Lilangeni',
                'currency_code'=>'SZL',
                'symbol_left'=>'L',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Sweden',
                'iso_code_2'=>'SE',
                'iso_code_3'=>'SWE',
                //'address_format'=>'{company} {firstname} {lastname} {address_1} {address_2} {postcode} {city} {country}',
                //'postcode_required'=>'1',
                //'status'=>'1',
                'currency_name'=>'Krona',
                'currency_code'=>'SEK',
                'symbol_left'=>'kr',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Switzerland',
                'iso_code_2'=>'CH',
                'iso_code_3'=>'CHE',
                'currency_name'=>'Swiss Franc',
                'currency_code'=>'CHF',
                'symbol_left'=>'Fr',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Syrian Arab Republic',
                'iso_code_2'=>'SY',
                'iso_code_3'=>'SYR',
                'currency_name'=>'Syrian Pound',
                'currency_code'=>'SYP',
                'symbol_left'=>'£',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Taiwan',
                'iso_code_2'=>'TW',
                'iso_code_3'=>'TWN',
                'currency_name'=>'Dollar',
                'currency_code'=>'TWD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Tajikistan',
                'iso_code_2'=>'TJ',
                'iso_code_3'=>'TJK',
                'currency_name'=>'Tajikistan Ruble',
                'currency_code'=>'TJS',
                'symbol_left'=>'??',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Tanzania, United Republic of',
                'iso_code_2'=>'TZ',
                'iso_code_3'=>'TZA',
                'currency_name'=>'Shilling',
                'currency_code'=>'TZS',
                'symbol_left'=>'Sh',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Thailand',
                'iso_code_2'=>'TH',
                'iso_code_3'=>'THA',
                'currency_name'=>'Baht',
                'currency_code'=>'THB',
                'symbol_left'=>'?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Togo',
                'iso_code_2'=>'TG',
                'iso_code_3'=>'TGO',
                'currency_name'=>'CFA Franc BCEAO',
                'currency_code'=>'XOF',
                'symbol_left'=>'Fr',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Tokelau',
                'iso_code_2'=>'TK',
                'iso_code_3'=>'TKL',
                'currency_name'=>'New Zealand Dollars',
                'currency_code'=>'NZD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Tonga',
                'iso_code_2'=>'TO',
                'iso_code_3'=>'TON',
                'currency_name'=>'PaÕanga',
                'currency_code'=>'TOP',
                'symbol_left'=>'T$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Trinidad and Tobago',
                'iso_code_2'=>'TT',
                'iso_code_3'=>'TTO',
                'currency_name'=>'Trinidad and Tobago Dollar',
                'currency_code'=>'TTD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Tunisia',
                'iso_code_2'=>'TN',
                'iso_code_3'=>'TUN',
                'currency_name'=>'Tunisian Dinar',
                'currency_code'=>'TND',
                'symbol_left'=>'?.?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Turkey',
                'iso_code_2'=>'TR',
                'iso_code_3'=>'TUR',
                'currency_name'=>'Lira',
                'currency_code'=>'TRY',
                'symbol_left'=>'',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Turkmenistan',
                'iso_code_2'=>'TM',
                'iso_code_3'=>'TKM',
                'currency_name'=>'Manat',
                'currency_code'=>'TMT',
                'symbol_left'=>'m',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Turks and Caicos Islands',
                'iso_code_2'=>'TC',
                'iso_code_3'=>'TCA',
                'currency_name'=>'United States Dollar',
                'currency_code'=>'USD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Tuvalu',
                'iso_code_2'=>'TV',
                'iso_code_3'=>'TUV',
                'currency_name'=>'Australian Dollars',
                'currency_code'=>'AUD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Uganda',
                'iso_code_2'=>'UG',
                'iso_code_3'=>'UGA',
                'currency_name'=>'Shilling',
                'currency_code'=>'UGX',
                'symbol_left'=>'Sh',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Ukraine',
                'iso_code_2'=>'UA',
                'iso_code_3'=>'UKR',
                'currency_name'=>'Hryvnia',
                'currency_code'=>'UAH',
                'symbol_left'=>'?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'United Arab Emirates',
                'iso_code_2'=>'AE',
                'iso_code_3'=>'ARE',
                'currency_name'=>'Dirham',
                'currency_code'=>'AED',
                'symbol_left'=>'?.?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'United Kingdom',
                'iso_code_2'=>'GB',
                'iso_code_3'=>'GBR',
                //'postcode_required'=>'1',
                //'status'=>'1',
                'currency_name'=>'Pound Sterling',
                'currency_code'=>'GBP',
                'symbol_left'=>'£',
                'symbol_right'=>'',
            ],
            [
                'name'=>'United States',
                'iso_code_2'=>'US',
                'iso_code_3'=>'USA',
                'currency_name'=>'United States Dollar',
                'currency_code'=>'USD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'United States Minor Outlying Islands',
                'iso_code_2'=>'UM',
                'iso_code_3'=>'UMI',
                'currency_name'=>'United States Dollar',
                'currency_code'=>'USD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Uruguay',
                'iso_code_2'=>'UY',
                'iso_code_3'=>'URY',
                'currency_name'=>'Peso',
                'currency_code'=>'UYU',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Uzbekistan',
                'iso_code_2'=>'UZ',
                'iso_code_3'=>'UZB',
                'currency_name'=>'Som',
                'currency_code'=>'UZS',
                'symbol_left'=>'',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Vanuatu',
                'iso_code_2'=>'VU',
                'iso_code_3'=>'VUT',
                'currency_name'=>'Vatu',
                'currency_code'=>'VUV',
                'symbol_left'=>'Vt',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Vatican City State (Holy See)',
                'iso_code_2'=>'VA',
                'iso_code_3'=>'VAT',
                'currency_name'=>'Euros',
                'currency_code'=>'EUR',
                'symbol_left'=>'€',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Venezuela',
                'iso_code_2'=>'VE',
                'iso_code_3'=>'VEN',
                'currency_name'=>'Bolivar',
                'currency_code'=>'VEF',
                'symbol_left'=>'Bs F',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Viet Nam',
                'iso_code_2'=>'VN',
                'iso_code_3'=>'VNM',
                'currency_name'=>'Dong',
                'currency_code'=>'VND',
                'symbol_left'=>'?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Virgin Islands (British)',
                'iso_code_2'=>'VG',
                'iso_code_3'=>'VGB',
                'currency_name'=>'United States Dollar',
                'currency_code'=>'USD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Virgin Islands (U.S.)',
                'iso_code_2'=>'VI',
                'iso_code_3'=>'VIR',
                'currency_name'=>'United States Dollar',
                'currency_code'=>'USD',
                'symbol_left'=>'$',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Wallis and Futuna Islands',
                'iso_code_2'=>'WF',
                'iso_code_3'=>'WLF',
                'currency_name'=>'CFP Franc',
                'currency_code'=>'XPF',
                'symbol_left'=>'Fr',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Western Sahara',
                'iso_code_2'=>'EH',
                'iso_code_3'=>'ESH',
                'currency_name'=>'Dirham',
                'currency_code'=>'MAD',
                'symbol_left'=>'?.?.',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Yemen',
                'iso_code_2'=>'YE',
                'iso_code_3'=>'YEM',
                'currency_name'=>'Rial',
                'currency_code'=>'YER',
                'symbol_left'=>'?',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Zambia',
                'iso_code_2'=>'ZM',
                'iso_code_3'=>'ZMB',
                'currency_name'=>'Kwacha',
                'currency_code'=>'ZMK',
                'symbol_left'=>'ZK',
                'symbol_right'=>'',
            ],
            [
                'name'=>'Zimbabwe',
                'iso_code_2'=>'ZW',
                'iso_code_3'=>'ZWE',
                'currency_name'=>'Zimbabwe Dollar',
                'currency_code'=>'ZWD',
                'symbol_left'=>'P',
                'symbol_right'=>'',
            ],

        ]);



        \App\Widget::insert(
            [
                [
                    'name'=>'slideshow',
                    'code'=>'slideshow',
                    'repeat'=>10
                ],
                [
                    'name'=>'text-and-button',
                    'code'=>'textbtn',
                    'repeat'=>0
                ],
                [
                    'name'=>'featured-courses',
                    'code'=>'courses',
                    'repeat'=>10
                ],
                [
                    'name'=>'plain-text',
                    'code'=>'text',
                    'repeat'=>0
                ],
                [
                    'name'=>'blog',
                    'code'=>'blog',
                    'repeat'=>0
                ],
            ]
        );

        \App\Setting::where('key','country_id')->update(['value'=>'235']);
        \App\Currency::insert([
            [
                'country_id'=>'235',
                'exchange_rate'=>'0'
            ]
        ]);



        \App\Setting::insert([
            [
                'key'=>'zoom_key',
                'type'=>'text',
            ],
            [
                'key'=>'zoom_secret',
                'type'=>'text'
            ]
        ]);



        $info = \App\Setting::where('key','info_terms')->first();
        if(!$info){
             \App\Setting::insert(
                     [
                         'key'=>'info_terms',
                         'type'=>'textarea',
                         'options'=>'',
                         'class'=>'rte',
                     ]
             );
        }

        $privacy = \App\Setting::where('key','info_privacy')->first();
        if(!$privacy){
            \App\Setting::insert(
                [
                    'key'=>'info_privacy',
                    'type'=>'textarea',
                    'options'=>'',
                    'class'=>'rte',
                ]
            );
        }



        $setting = \App\Setting::where('key','frontend_status')->first();
        if(!$setting){
            \App\Setting::insert(
                [
                    ['key'=>'frontend_status','type'=>'select','options'=>'1=Enabled,0=Disabled','value'=>'1'],
                ]
            );
        }


        $setting = \App\Setting::where('key','dashboard_color')->first();
        if(!$setting){
            \App\Setting::insert(
                [
                    ['key'=>'dashboard_color','type'=>'text','value'=>''],
                ]
            );
        }


        //role


        \App\Setting::create(
            [
                'key'=>'general_video_max_size',
                'placeholder'=>'Size in megabytes',
                'type'=>'text',
                'value'=>'200'
            ]
          );




         \App\Setting::create([
            'key'=>'config_baseurl',
            'value'=>'',
            'type'=>'text'
        ]);





        \App\Setting::create(
            [
                'key'=>'video_driver',
                'type'=>'select',
                'value'=>'local',
                'options'=>'local=Local,s3=S3'
            ]
        );
        \App\Setting::create(
            [
                'key'=>'video_s3_key',
                'type'=>'text',
            ]
        );
        \App\Setting::create(
            [
                'key'=>'video_s3_secret',
                'type'=>'text',
            ]
        );
        \App\Setting::create(
            [
                'key'=>'video_s3_region',
                'type'=>'text',
            ]
        );
        \App\Setting::create(
            [
                'key'=>'video_s3_bucket',
                'type'=>'text',
            ]
        );
        \App\Setting::create(
            [
                'key'=>'video_s3_endpoint',
                'type'=>'text',
            ]
        );




        $setting = \App\Setting::where('key','regis_enable_registration')->first();
        if ($setting){
            $setting->value = 1;
            $setting->save();
        }

        $setting = new \App\Setting();
        $setting->fill([
           'key'=>'regis_enroll_mail',
           'type'=>'textarea',
           'class'=>'rte',
        ]);
        $setting->save();

        $settings = \App\Setting::where('key','LIKE','menu_%')->update(['value'=>1]);

        \App\Setting::where('key','general_video_max_size')->update([
            'class'=>'form-control digit'
        ]);

    }
}
