<?php 

return [
    'title' => 'Laravel Installer',
    'next' => 'Passo successivo',
    'back' => 'Precedente',
    'finish' => 'Installare',
    'forms' => [
        'errorTitle' => 'Si sono verificati i seguenti errori:',
    ],
    'welcome' => [
        'templateTitle' => 'benvenuto',
        'title' => 'Laravel Installer',
        'message' => 'Facile installazione e configurazione guidata.',
        'next' => 'Verifica i requisiti',
    ],
    'requirements' => [
        'templateTitle' => 'Passaggio 1 | Requisiti del server',
        'title' => 'Requisiti del server',
        'next' => 'Controlla le autorizzazioni',
    ],
    'permissions' => [
        'templateTitle' => 'Passaggio 2 | Autorizzazioni',
        'title' => 'Autorizzazioni',
        'next' => 'Configura ambiente',
    ],
    'environment' => [
        'menu' => [
            'templateTitle' => 'Passaggio 3 | Impostazioni dell\'ambiente',
            'title' => 'Impostazioni dell\'ambiente',
            'desc' => 'Seleziona come desideri configurare il file <code> .env </code> delle app.',
            'wizard-button' => 'Configurazione guidata modulo',
            'classic-button' => 'Editor di testo classico',
        ],
        'wizard' => [
            'templateTitle' => 'Passaggio 3 | Impostazioni ambiente | Wizard guidato',
            'title' => 'Procedura guidata <code> .env </code> guidata',
            'tabs' => [
                'environment' => 'Ambiente',
                'database' => 'Banca dati',
                'application' => 'Applicazione',
            ],
            'form' => [
                'name_required' => 'È richiesto un nome di ambiente.',
                'app_name_label' => 'Nome dell\'applicazione',
                'app_name_placeholder' => 'Nome dell\'applicazione',
                'app_environment_label' => 'Ambiente app',
                'app_environment_label_local' => 'Locale',
                'app_environment_label_developement' => 'Sviluppo',
                'app_environment_label_qa' => 'Qa',
                'app_environment_label_production' => 'Produzione',
                'app_environment_label_other' => 'Altro',
                'app_environment_placeholder_other' => 'Entra nel tuo ambiente ...',
                'app_debug_label' => 'Debug dell\'app',
                'app_debug_label_true' => 'Vero',
                'app_debug_label_false' => 'Falso',
                'app_log_level_label' => 'Livello di registro dell\'app',
                'app_log_level_label_debug' => 'debug',
                'app_log_level_label_info' => 'Informazioni',
                'app_log_level_label_notice' => 'Avviso',
                'app_log_level_label_warning' => 'avvertimento',
                'app_log_level_label_error' => 'errore',
                'app_log_level_label_critical' => 'critico',
                'app_log_level_label_alert' => 'mettere in guardia',
                'app_log_level_label_emergency' => 'emergenza',
                'app_url_label' => 'URL dell\'app',
                'app_url_placeholder' => 'URL dell\'app',
                'db_connection_failed' => 'Impossibile connettersi al database.',
                'db_connection_label' => 'Connessione al database',
                'db_connection_label_mysql' => 'mysql',
                'db_connection_label_sqlite' => 'sqlite',
                'db_connection_label_pgsql' => 'pgsql',
                'db_connection_label_sqlsrv' => 'sqlsrv',
                'db_host_label' => 'Host di database',
                'db_host_placeholder' => 'Host di database',
                'db_port_label' => 'Porta database',
                'db_port_placeholder' => 'Porta database',
                'db_name_label' => 'Nome del database',
                'db_name_placeholder' => 'Nome del database',
                'db_username_label' => 'Nome utente database',
                'db_username_placeholder' => 'Nome utente database',
                'db_password_label' => 'Password del database',
                'db_password_placeholder' => 'Password del database',
                'app_tabs' => [
                    'more_info' => 'Ulteriori informazioni',
                    'broadcasting_title' => '',
                    'broadcasting_label' => 'Driver di trasmissione',
                    'broadcasting_placeholder' => 'Driver di trasmissione',
                    'cache_label' => 'Cache Driver',
                    'cache_placeholder' => 'Cache Driver',
                    'session_label' => 'Driver di sessione',
                    'session_placeholder' => 'Driver di sessione',
                    'queue_label' => 'Queue Driver',
                    'queue_placeholder' => 'Queue Driver',
                    'redis_label' => 'Redis Driver',
                    'redis_host' => 'Redis Host',
                    'redis_password' => 'Password Redis',
                    'redis_port' => 'Redis Port',
                    'mail_label' => 'Mail',
                    'mail_driver_label' => 'Mail Driver',
                    'mail_driver_placeholder' => 'Mail Driver',
                    'mail_host_label' => 'Host di posta',
                    'mail_host_placeholder' => 'Host di posta',
                    'mail_port_label' => 'Porta di posta',
                    'mail_port_placeholder' => 'Porta di posta',
                    'mail_username_label' => 'Nome utente della posta',
                    'mail_username_placeholder' => 'Nome utente della posta',
                    'mail_password_label' => 'Password posta',
                    'mail_password_placeholder' => 'Password posta',
                    'mail_encryption_label' => 'Crittografia della posta',
                    'mail_encryption_placeholder' => 'Crittografia della posta',
                    'pusher_label' => 'Pusher',
                    'pusher_app_id_label' => 'ID app Pusher',
                    'pusher_app_id_palceholder' => 'ID app Pusher',
                    'pusher_app_key_label' => 'Chiave app Pusher',
                    'pusher_app_key_palceholder' => 'Chiave app Pusher',
                    'pusher_app_secret_label' => 'Segreto dell\'app Pusher',
                    'pusher_app_secret_palceholder' => 'Segreto dell\'app Pusher',
                ],
                'buttons' => [
                    'setup_database' => 'Database di installazione',
                    'setup_application' => 'Applicazione di installazione',
                    'install' => 'Installare',
                ],
            ],
        ],
        'classic' => [
            'templateTitle' => 'Passaggio 3 | Impostazioni ambiente | Editor classico',
            'title' => 'Editor dell\'ambiente classico',
            'save' => 'Salva .env',
            'back' => 'Usa Creazione guidata modulo',
            'install' => 'Salva e installa',
        ],
        'success' => 'Le impostazioni del file .env sono state salvate.',
        'errors' => 'Impossibile salvare il file .env, crearlo manualmente.',
    ],
    'install' => 'Installare',
    'installed' => [
        'success_log_message' => 'Laravel Installer INSTALLATO con successo su',
    ],
    'final' => [
        'title' => 'Installazione terminata',
        'templateTitle' => 'Installazione terminata',
        'finished' => 'L\'applicazione è stata installata con successo.',
        'migration' => '',
        'exit' => 'Fare clic qui per uscire',
        'console' => 'Uscita della console dell\'applicazione:',
        'log' => 'Voce del registro di installazione:',
        'env' => 'File .env finale:',
    ],
    'updater' => [
        'title' => 'Laravel Updater',
        'welcome' => [
            'title' => 'Benvenuto in The Updater',
            'message' => 'Benvenuto nella procedura guidata di aggiornamento.',
        ],
        'overview' => [
            'title' => 'Panoramica',
            'install_updates' => 'Installare aggiornamenti',
            'message' => 'C\'è 1 aggiornamento.|Ci sono :number aggiornamenti.',
        ],
        'final' => [
            'title' => 'Finito',
            'finished' => 'Il database dell\'applicazione è stato aggiornato con successo.',
            'exit' => 'Fare clic qui per uscire',
        ],
        'log' => [
            'success_message' => 'Laravel Installer AGGIORNATO con successo su',
        ],
    ],
];